Autodesk Quantity Takeoff 2011 Help

What's New in Autodesk Quantity Takeoff 2011
Autodesk Quantity Takeoff User's Guide >
Expand All
Collapse All
Autodesk Quantity Takeoff 2011 Help

Welcome to Autodesk Quantity Takeoff 2011 (QTO). Using QTO, you can produce detailed quantity takeoff for material, labor, and other resources to accurately estimate and bid on construction and renovation projects. With QTO, you can spend less time counting and measuring items in your projects, giving you more time to analyze projects and their costs.

If you are just beginning to use QTO, read the information in the QTO Basics section to learn about important concepts, tools, and features that can help you get started quickly. If you prefer to learn about QTO through hands-on exercises, use the Getting Started Guide, which is available from the Help menu in QTO.

If you are already familiar with QTO, read the What's New topic for an overview of new features and links to in-depth information about using them.

Topics in this section

  • What's New in Autodesk Quantity Takeoff 2011
  • QTO Basics
  • Working with Projects
  • Importing and Organizing Content
  • Creating Takeoff Items and Assemblies
  • Performing Quantity Takeoff
  • Modifying Takeoff Data
  • Managing Project Versions
  • Viewing and Validating Takeoff Data
  • Reporting, Exporting, and Publishing
  • Preparing DWF Files for QTO
  • Working with Catalog Data
Please send us your comments about this page


What's New in Autodesk Quantity Takeoff 2011

Autodesk Quantity Takeoff 2011 Help
Autodesk Quantity Takeoff 2011 Help
QTO Basics
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help >
Expand All
Collapse All
What's New in Autodesk Quantity Takeoff 2011

The following features have been added or enhanced in Autodesk Quantity Takeoff 2011:

  • You can edit a takeoff element or a group of selected takeoff elements from the Properties palette.
  • You can now edit DWF properties.
  • Work breakdown Structure Groups. A column for Work Breakdown Structure groups has been added to the Takeoff palette, Property palette, and Workbook.
  • Specify Takeoff Color-coding. You can enable takeoff model coloring in 3D views to maintain those colors assigned in the Takeoff palette. This keeps it consistent with the coloring seen in 2D views.
  • Legends now accurately depict color, symbols, and fills.
  • Exporting to Excel spreadsheets is more accurate.
  • Network Deployment of Autodesk Quantity Takeoff installation and licensing is now supported.
  • Network license borrowing enabled.
  • Model takeoff support for Inventor DWFs.
  • Full Windows 7 support.
  • Multiple memory and performance enhancements.

Other Recent Enhancements and Improvements

DWG TrueView 2011

  • Available from the Autodesk Quantity Takeoff Installation wizard.

GAEB Data Formats

  • GAEB catalog import now creates the full Item and Group name.
  • GAEB quantities export now exports the values using a period as the decimal separator.

Localized Versions

  • Catalogs now import into localized versions of Quantity Takeoff properly.
  • Units for Assembly components now import for all unit types (such as Area and Volume) when you are working with a localized versions of Quantity Takeoff.

Legends

  • "Legends now accurately depict color, symbols, and fills.
  • Legends can now be positioned after show, move, and undo/redo.
  • Legends position correctly after move, hide, and show.
  • Legends display after a sheet is copied.
  • Legends activate on sheets created with PDF.
  • Legends are created in files as anticipated.

3D Models

  • OpenGL is used to display 3D models by default. DirectX can be manually set as default by adding a reg key (REG_DWORD) with value of 2
  • For Windows® XP: HKEY_CURRENT_USER\Software\Autodesk\Design Review\Preferences\User Interface\AQTO Hoops Driver.
  • For Windows Vista®: HKEY_CURRENT_USER\Software\AppDataLow\Software\Autodesk\Design Review\Preferences\User Interface\AQTO Hoops Driver.
  • "All anticipated 3D Model files can now be opened.
  • Quantity Takeoff no longer hangs when opening certain 3D DWF files.

Windows 7

  • ADOX file load error no longer prompts on Windows 7.
  • Quantity Takeoff now working on Windows 7.

Palettes

  • Documents Palette - Sheet Comparisons. Compare a two-dimensional (2D) DWF sheet from your current takeoff project with an external sheet to quantify changes and see a visual representation of the additions and deletions.
  • Documents Palette - Takeoff Indicators and Legends. See which documents contain takeoff and the amount of takeoff data per document. Add legends to 2D sheets and control their visibility and format. Hide, rearrange, and sort columns on the Documents palette, and have the column settings persist from session to session.
  • Model Palette. Use the Model palette to isolate, visualize, and generate takeoff for selected model elements. Select a group to create takeoff for all items within the group and have the results added to the Takeoff palette automatically. Use the Takeoff to Item command to add the takeoff results for selected items and objects to a specified item on the Takeoff palette. See quantities display immediately for items that have been taken off previously and have known item types. Map multiple properties from your design data to your takeoff objects.
  • Takeoff Palette. Create new items directly on the palette to set up projects quickly. Use enhanced tooltips to display detailed information about items and objects without opening a dialog box. Map objects at the item level. Map multiple item dimensions. Assign design items from a model takeoff to catalog items, and have your assignment preferences applied when you run future model takeoffs. Filter assigned/unassigned items.
  • Properties Palette. Export selected DWF properties to a CSV or TXT file.
  • Workbook. Switch between a summary view of takeoff items and a detailed view of object data for any item. View information for the current sheet or for the entire project. Define item properties and create assemblies directly in the Workbook. Add and edit item and assembly formulas in the Workbook, using Auto Fill Formula and other tools that function like those in Microsoft® Excel®. Enter overrides for item and object quantities and dimensions, and see where overrides exist.

Takeoff Tools

  • Model Takeoff. Map multiple properties from your design data to your takeoff object. Generate exact length, area, volume, height, and thickness quantities.
  • Search Takeoff. Run a Search Takeoff for a selected item on the Takeoff palette to have the results added to that item and named based on the item's family or style. Map multiple properties from your design data to your takeoff object.
  • Manual Takeoff - Polyline Input. Use multiple line segments, arcs, or a combination of line and arc segments when tracing linear, area, or backout geometry on a floor plan. Specify whether to treat a series of continuously drawn segments as a single takeoff measurement or as individual takeoff measurements. Switch between line and arc input and between single-segment and multi-segment input on the fly. Pan and zoom while creating takeoff.
  • Improved Tool Shortcut Keys. Select any tool with a single keystroke. Press a shortcut key repeatedly to cycle through a set of related tools, such as all linear takeoff tools.
  • In-Context Shortcut Keys. Modify or suspend an active takeoff tool while completing takeoff measurements.

Units of Measure

  • Weight as a Unit of Measure. Derive the weight of takeoff items, such as structural steel.
  • Time as a Unit of Measure. Quantify the time associated with takeoff items, on a per unit or per item basis, and calculate costs based on hours of labor.

Import/Export

  • Catalog Roundtripping. Import full or partial catalog files from third party software, and use the catalogs to create and store takeoff. Export catalogs for use in estimating software.
  • PDF Import. Open, view, mark up, and print PDF files. Save them as DWF files.

Navigation

  • ViewCube Navigation. Use the ViewCube on 3D models to rotate the view and switch between standard and isometric views.

Markup

  • Hatch Patterns. Apply predefined hatch patterns to area takeoff items. Control hatch angle and scale.
  • Takeoff Legends. Display a legend that contains an entry for each item that has objects on the current sheet and includes a color block, item path, and quantities.
  • Count Symbols. Specify symbol sizes on the fly.
  • Labels for Automatic Takeoff. Control visibility, size, color, and position of measurement labels for Linear, Area, and Volume auto takeoff.
  • Linear, Area, and Count Markup. Control item color and transparency for all markup with the Opacity setting.
  • Linear Thickness. See accurate line thickness applied to drawings automatically, with line point sizes based on item thickness, sheet size, and sheet scale.

Editing

  • Cut/Copy/Paste. Cut/copy and paste sheets and models on the Documents palette; objects on the canvas; cells in the Workbook; and groups, items, and objects on the Takeoff palette.
  • Undo/Redo. Undo and redo many common actions, including import, new, move, cut, and paste.

Reporting

  • Custom Reports. Generate summary, detail, and material reports by selecting the content and layout elements that suit your needs. Create reports for items and objects, or for items only. Enhance your report data with object properties inherited from design applications or generated by QTO takeoff.
  • Single-Click Reports. Generate custom reports with a single click by saving your frequently used report formats.

Performance

  • Multi-Instance Support. Run multiple QTO sessions concurrently.

Licensing

  • Network licensing and subscription services are available.

Miscellaneous

  • Assertion Failed warning dialog no longer displays when you open certain projects.
  • Item's thickness setting is maintained after copy/paste, and cannot be modified for the pasted item.
  • Print model result is now comparable to what is shown in the drawing area.
  • The takeoff value shown in the "Takeoff" panel now refreshes as it should.
  • The units "t" and "kg" are now exported in the catalog.


QTO Basics

What's New in Autodesk Quantity Takeoff 2011
Autodesk Quantity Takeoff 2011 Help
Understanding QTO Concepts and Tools
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help >
Expand All
Collapse All
QTO Basics

If you are just beginning to use QTO, read the information in this section to learn about important concepts, tools, and features that can help you get started quickly.

If you are already familiar with QTO, review the What's New topic for an overview of new features and links to in-depth information about using them.

Topics in this section

  • Understanding QTO Concepts and Tools
  • Touring the User Interface
  • Setting up Your Workspace


Understanding QTO Concepts and Tools

QTO Basics
QTO Basics
What is DWF?
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics >
Expand All
Collapse All
Understanding QTO Concepts and Tools

The process of measuring quantities of materials from drawings and specifications prepared by architects, engineers, and other designers is known as quantity takeoff. Traditionally, construction cost estimators have used paper-based methods to perform quantity takeoff. QTO gives estimators the tools to perform digital quantity takeoff, which is faster, easier, and more accurate than paper-based methods.

Using QTO, estimators can combine multiple sources of two-dimensional (2D) and three-dimensional (3D) design data and generate quantity takeoff to create a cost estimate. Both DWF and non-DWF files (DWGs, PDFs, TIFs, GIFs, and JPGs) can be used as source files. All data associated with a given estimate is stored in a QTO project.

Topics in this section

  • What is DWF?
  • What is a Project?
  • What Types of Files Can Be Used?
  • What Can Be Measured?
  • QTO as Part of the Design Workflow
  • Getting Help with QTO


What is DWF?

Understanding QTO Concepts and Tools
Understanding QTO Concepts and Tools
What is a Project?
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Understanding QTO Concepts and Tools >
Expand All
Collapse All
What is DWF?

DWF stands for Design Web Format™, which is an open, secure file format developed by Autodesk. Using DWF, you can combine 2D and 3D design data, as well as other project-related files, into a single, highly compressed file. Using DWF files helps you enhance collaboration and easily exchange information with extended teams.

Each DWF file contains one or more pages called sheets. Usually, the content of each sheet can be viewed, marked up, measured, and printed. However, in some cases, this is limited by the person who originally created, or published, the DWF file. In QTO, the source of the 2D or 3D DWF file determines the level of automatic quantity takeoff functionality that is available. For more information, see Preparing DWF Files for QTO.

Much like Adobe® PDF files, the contents of a DWF file cannot be altered. Unlike PDF files, however, DWF files retain design information (scale, measurements, assemblies), which makes them more suitable for architects, engineers, and designers. Also, DWF files are typically much smaller than PDF files.

You can send a published DWF file as an e-mail attachment, share it using a project collaboration site, such as Autodesk® Buzzsaw®, or post it to a company website. You can view and plot DWF files with the free downloadable Autodesk® Design Review, which is included as an installation option on the QTO product DVD.

NoteQTO supports both 2D and 3D workflows. For more information about the quantity takeoff tools available for each workflow, see What Types of Files Can Be Used?


What is a Project?

What is DWF?
Understanding QTO Concepts and Tools
What Types of Files Can Be Used?
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Understanding QTO Concepts and Tools >
Expand All
Collapse All
What is a Project?

In QTO, a project is a collection of files and takeoff items that yield the material quantities needed for a construction or renovation job. Project files can include DWF files (2D sheets and 3D models), DWG files, and image files (TIFs, GIFs, and JPGs). For more information about the quantity takeoff tools available with each type of file, see What Types of Files Can Be Used?

You organize a project by building disciplines, divisions, trades, or other categories. For more information, see Working with Takeoff Groups and Items.


What Types of Files Can Be Used?

What is a Project?
Understanding QTO Concepts and Tools
What Can Be Measured?
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Understanding QTO Concepts and Tools >
Expand All
Collapse All
What Types of Files Can Be Used?

Project documents can consist of both DWF and non-DWF files. DWFx files can also be used; however, DWF files are generally preferred because they are smaller and load faster.

The following table shows the types of files you can use in QTO and the level of takeoff functionality available for each file type.

NoteTo have the DWG format as an import option, you must have DWG TrueView™ installed. DWG TrueView is included as an installation option on the QTO product DVD.
Document Type | Automatic Takeoff Available? | Manual Takeoff Available?
3D DWF models | Yes (all automatic tools) | No
2D DWF sheets | Yes (Search Takeoff and Single-Click Auto Takeoff) | Yes
DWG sheets | No | Yes
PDF files (without password protection) | No | Yes
Image files (TIF, GIF, JPG) | No | Yes

For information about automatic and manual takeoff tools, see Understanding Takeoff Methods.

TipIf you have other types of files, such as DGN files, that you want to use in QTO, use the free downloadable Autodesk® DWF Writer to convert them to DWF files. The converted files can be imported and used for quantity takeoff. DWF Writer is included as an installation option on the QTO product DVD.
TipOptimize PDF files for use in QTO by using the image settings within the PDF print driver to downsample all images to below 150 ppi. The default setting of 300 ppi is optimized for printer output, not on-screen display, so it will not deliver optimal performance for importing and displaying PDF images in QTO. For best results, test your PDF output in QTO and, if necessary, make adjustments to downsampling and compression settings to publish clear images at the smallest possible file size. (Downsampling reduces file size; compression reduces files size and can affect image clarity.)

Sources of DWF Files

You can produce DWF files using several design applications. Because of variations in publishing methods, the source application of the DWF file determines the level of automatic takeoff functionality that is available when you import the file into QTO, as shown in this table:

Publisher | Automatic Takeoff Available?
AutoCAD | No
AutoCAD Architecture | Yes
AutoCAD MEP | Yes
AutoCAD Civil 3D | Yes
Autodesk Inventor | No
Revit | Yes

For information about publishing DWF files from design applications, see Preparing DWF Files for QTO.


What Can Be Measured?

What Types of Files Can Be Used?
Understanding QTO Concepts and Tools
QTO as Part of the Design Workflow
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Understanding QTO Concepts and Tools >
Expand All
Collapse All
What Can Be Measured?

QTO can count and measure item quantities associated with these disciplines:

  • Civil (earth, road, drainage)
  • Architecture (doors, walls, windows)
  • Engineering (structural, mechanical, electrical, plumbing)

The available measurements are count, length, area, and volume.

TipWeight can be derived for an item by using a Workbook formula to convert the item’s length measurement to a weight unit, such as tons. For information about performing calculations on takeoff quantities, see Entering Formulas in the Workbook.


QTO as Part of the Design Workflow

What Can Be Measured?
Understanding QTO Concepts and Tools
Getting Help with QTO
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Understanding QTO Concepts and Tools >
Expand All
Collapse All
QTO as Part of the Design Workflow

Most DWF files begin as drawings created in Autodesk, Inc. design applications, such as AutoCAD®, AutoCAD® Architecture, AutoCAD® Civil 3D, and Revit®. Before publishing a DWF file, the architect, engineer, or other designer, determines which features (model, layouts, layers, and so on) to include in the DWF file. After determining the content, the designer publishes the drawing from its original format to the DWF file format and sends the DWF file to you. In some cases, designers scan or save drawings as image files and send them to you for estimation. When you receive these DWF and non-DWF files, the QTO workflow begins.

The typical workflow in QTO involves these steps:

  • Create a project.
  • Import and organize documents (DWF and non-DWF files).
  • Set up the structure that will hold the takeoff data you create.
  • Specify sheet scale and units (for non-DWF files).
  • Create takeoff data.
  • Validate takeoff data.
  • Output takeoff data to reports, export files, or DWF files.

For any project you create, these steps can be repeated indefinitely to support the iterative nature of the design and cost estimation process.


Getting Help with QTO

QTO as Part of the Design Workflow
Understanding QTO Concepts and Tools
Touring the User Interface
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Understanding QTO Concepts and Tools >
Expand All
Collapse All
Getting Help with QTO

This section provides information about navigating the Help.

Help Viewer Tabs

  • The Contents tab resembles a Table of Contents in a printed book. Instead of chapter and page numbers, the tab displays books and pages with headings. You click a closed book to open a display of sub-books or topic pages. You click an open book to close it. When you click pages, you can select topics to view in the right pane of the HTML Help viewer.
  • The Index tab displays keywords for quick topic searches. To open the topic associated with a keyword, double-click the keyword, or select it and click Display. If the keyword is used in more than one topic, a Topics Found dialog displays so you can select a topic to view.
  • Use the Search tab to find specific words and locate associated topics. After entering the word or phrase you want to find, click List Topics.

    The Search tab includes advanced search capability. You can search for topics using wildcard characters (*,?) and Boolean operators (AND, OR, NEAR, NOT). To use Boolean searches, click the right-arrow button next to the search-string field.

  • Use the Favorites tab to bookmark topics that you visit frequently.


Touring the User Interface

Getting Help with QTO
QTO Basics
QTO Window
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics >
Expand All
Collapse All
Touring the User Interface

This section describes the default user interface. You can rearrange the components of the interface to best suit your work preferences. For more information, see Setting up Your Workspace.

Topics in this section

  • QTO Window
  • Menu Bar
  • Toolbar
  • Keyboard Shortcuts
  • Canvas
  • Palettes
  • Cross-Selection of Objects


QTO Window

Touring the User Interface
Touring the User Interface
Menu Bar
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface >
Expand All
Collapse All
QTO Window

By default, the toolbar is docked at the top of the QTO window, the Workbook is docked at the bottom, and frequently used palettes display as tabs at the left of the window.


Menu Bar

QTO Window
Touring the User Interface
Toolbar
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface >
Expand All
Collapse All
Menu Bar

The menu bar at the top of the QTO window gives you access to all available actions. Clicking a menu bar item displays a set of related commands.


Toolbar

Menu Bar
Touring the User Interface
Keyboard Shortcuts
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface >
Expand All
Collapse All
Toolbar

Directly below the menu bar, the toolbar provides all the tools you need to navigate sheets and models, create takeoff data, and add markup. Using the takeoff tools, you can measure lengths and areas, as well as count objects in project drawings.

NoteIf the toolbar is not displayed, click Window menu [image] Tools.

If there are multiple tools grouped under one icon, click [image] next to the icon to display all tools in the group.

When you select a tool, tool options are displayed below the tool on the Contextual Tools palette. For example, if you select the Polyline Linear Takeoff tool, you can specify the segment type (line or arc), the method for handling continuously drawn segments (as a single takeoff measurement or as individual takeoff measurements), and the color and opacity applied to the markup.

General Tools

Select. Selects geometry on a sheet or model.

Pan. Moves a sheet or model on the canvas.

Zoom Tools

Zoom. Zooms in and out on a sheet or model.

Zoom Rectangle. Zooms in to a specified rectangular area of a sheet.

TipFrom a zoomed view, double-click a Zoom tool to fit the content to the window. The result is the same as clicking View menu [image] Fit to Window.

Rotate Tools

Turntable. Used to change the position of a 3D model, with the Z axis constrained.

Orbit. Used to change the position of a 3D model, allowing movement in any direction.

Automatic Takeoff Tools

Model Takeoff. Extracts the object tree from a 3D model and adds it to the Takeoff palette.

Search Takeoff. Searches for and creates takeoff for all geometry that matches user-defined search criteria.

Single-Click Auto Takeoff. Measures a single piece of geometry in DWF sheets with published properties.

Linear Takeoff Tools (Manual)

Single-Click Linear Takeoff. Measures a single piece of linear geometry in DWF sheets with published properties.

Polyline Linear Takeoff. Yields a linear measurement of one or more line or arc segments.

Rectangle Linear Takeoff. Yields a linear measurement from rectangular geometry.

Ellipse Linear Takeoff. Yields a linear measurement from elliptical geometry.

Area Takeoff Tools (Manual)

Polyline Area Takeoff. Yields an area measurement from a closed polyline made up of line or arc segments.

Rectangle Area Takeoff. Yields an area measurement from rectangular geometry.

Ellipse Area Takeoff. Yields an area measurement from elliptical geometry.

Count Takeoff Tool (Manual)

Count Takeoff. Counts takeoff objects.

Backout Takeoff Tools (Manual)

Polyline Backout Takeoff. Removes a takeoff measurement from a closed polyline area.

Rectangle Backout Takeoff. Removes takeoff measurements from rectangular geometry.

Ellipse Backout Takeoff. Removes takeoff measurements from elliptical geometry.

Count Backout Takeoff. Removes count takeoff.

Markup Tools

Shape. Adds markup shapes to a sheet. Options include Line, Polyline, Freehand, Rectangle, and Ellipse.

Text. Adds markup text to a sheet.

Callout. Adds a callout to a sheet.

Stamp. Adds a stamp to a sheet.


Keyboard Shortcuts

Toolbar
Touring the User Interface
Canvas
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface >
Expand All
Collapse All
Keyboard Shortcuts

Using tool shortcut keys, you can select tools with a single keystroke. Using special in-context shortcut keys, you can modify tool behavior with a single keystroke.

Shortcut Keys for Tools

Each tool on the toolbar has an associated shortcut key, as shown in the following table. Press a shortcut key to select a tool. When multiple tools are grouped under one icon, press the shortcut key repeatedly to cycle through the tools in the group.

Tool | Shortcut Key
Select | N
Pan | P
Zoom/Zoom Window | Z
Orbit/Turntable | O
Model Takeoff | M
Search Takeoff | R
Single-Click Auto Takeoff | G
Linear Takeoff tool group | L
Area Takeoff tool group | A
Count Takeoff | C
Backout Takeoff tool group | B
Shape | D
Text | T
Callout | Y
Stamp | S

In-Context Shortcut Keys

The following shortcut keys are available when a takeoff tool is active:

Active Tool | Shortcut Key/Function | How to Use
Any manual tool | SPACEBAR. Pans a drawing while you are tracing geometry | Press and hold the SPACEBAR to switch from the takeoff tool to Pan mode. Pan the drawing until the geometry you need is in view. Release the SPACEBAR to return the takeoff tool to its original state, and complete the takeoff measurement.
Any polyline tool using the arc option | O (for Opposite). Draws the opposite arc | After specifying at least one point of an arc, press O and move the cursor to draw the opposite arc. To switch back to the original direction of the arc, press O again.


Canvas

Keyboard Shortcuts
Touring the User Interface
Palettes
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface >
Expand All
Collapse All
Canvas

The canvas is the large area in the middle of the QTO window that displays the sheet or 3D model selected on the Documents palette. On the canvas, you create takeoff from sheets and models, annotate sheets using markup tools and legends, and validate the completed takeoff data.

When displaying a 3D model, the canvas contains an additional screen element that is not displayed with sheets: the ViewCube. Click the ViewCube to switch between standard and isometric views of your model. Use the compass ring on the ViewCube to orbit the model in any direction.


Palettes

Canvas
Touring the User Interface
Documents Palette
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface >
Expand All
Collapse All
Palettes

Project documents, takeoff data, and the tools you use to organize and view documents and data are arranged on palettes that display as tabs on the left side of the QTO window by default. Put the cursor on a tab to display the palette. If a palette is not shown in the QTO window, you can access it on the Window menu.

TipYou can arrange palettes to set up your workspace to suit the way you work. For more information, see Arranging Tools and Palettes.

Topics in this section

  • Documents Palette
  • Takeoff Palette
  • Properties Palette
  • Navigator Palette
  • Model Palette
  • Contextual Tools Palette
  • Bookmarks Palette
  • Layers Palette
  • Search Palette
  • Workbook


Documents Palette

Palettes
Palettes
Takeoff Palette
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface > Palettes >
Expand All
Collapse All
Documents Palette

The Documents palette is where you store and organize all sheets, models, and images for your project. The document you select on the Documents palette displays on the canvas.

Project documents are organized in a folder structure that is similar to the navigation tree in Windows® Explorer®. You can add, rename, and delete folders to organize project documents. For more information, see Working with Documents.

Takeoff indicators [image] display on document icons to identify sheets and models that contain takeoff data. The amount of takeoff contained in each document is displayed in the Takeoff column on the Documents palette. The values in the Takeoff column represent the sum of manual takeoff and visible automatic takeoff for each sheet and model. Automatic takeoff that is present in multiple views is counted for each document in which it is visible.

The check box in the Legend column controls the visibility of sheet legends. For information about adding and modifying legends, see Adding a Takeoff Legend to a Sheet.

You can hide, rearrange, and sort the columns on the Documents palette. For more information, see Modifying the Column Layout on Palettes.

View Options

On the Documents palette, click [image] to access the display options:

  • Large Thumbnails. Displays a scaled-down image to the left of the sheet name. Thumbnails can serve as a graphical index, making it easier to visually scan and recognize images.

  • Small Thumbnails. Displays a reduced-size thumbnail image to the left of the sheet name.

  • List. Displays the file icon and sheet name.


Takeoff Palette

Documents Palette
Palettes
Properties Palette
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface > Palettes >
Expand All
Collapse All
Takeoff Palette

The Takeoff palette is where you store and manage all takeoff data for a project. The data is organized in the following hierarchy, which forms the organizational structure of your project:

  • Groups. Like folders and subfolders, groups store takeoff data. In a typical construction takeoff, the information is organized by discipline, division, trade, or view type (such as plans, sections/elevations, and details). In QTO, this highest level of organization is represented by groups. You can create multiple levels of groups and subgroups.
  • Items. Groups contain items, which are families of objects, such as interior walls and plumbing fixtures, to be measured and counted.
  • Objects. Items contain objects, which are individual instances of the takeoff items in the sheets and models in your project.

This hierarchy of groups, items, and objects is graphically represented in an expandable and collapsible navigation tree:

TipYou can modify the layout of the columns on the Takeoff palette. For more information, see Modifying the Column Layout on Palettes.

View and Edit Options

The left side of the Takeoff palette contains check boxes that you use to control whether takeoff graphics are shown or hidden on the canvas and whether takeoff data can be edited. Use the Takeoff palette context (right-click) menu to access another view option: The Views command locates and zooms in to a selected takeoff object.

To show/hide takeoff data:

Use the Show/Hide option to filter or isolate takeoff data for review and validation. A checkmark in a box at any level of the tree indicates that takeoff graphics are visible on the canvas. You can control the visibility of all takeoff graphics by selecting the check box next to the column headings. A group-level selection controls the visibility of all subgroups, items, and objects within the group. An item-level selection controls the visibility all objects within the item. Objects can be selected individually.

To lock/unlock takeoff objects for editing:

Use the Lock/Unlock option to control the editing of completed takeoff items. A [image] in a box at any level of the tree indicates that the takeoff cannot be selected on the canvas, although it may be visible. In addition, when you lock an item, you cannot delete it or drop objects into it (although you can add objects to it using takeoff tools or assignments). A sheet that contains locked takeoff objects cannot be deleted.

To locate a takeoff object on the canvas:

  1. On the Takeoff palette, right-click the object, and click Views.

    QTO displays a list of all project views that contain the object.

  2. Select a view drawing from the list.

    QTO opens the view and zooms in to the selected takeoff object.

  3. To zoom back out to the full window view, click View [image] Fit to Window.


Properties Palette

Takeoff Palette
Palettes
Navigator Palette
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface > Palettes >
Expand All
Collapse All
Properties Palette

When you are viewing a DWF sheet or model that was published from a design application, such as AutoCAD® Architecture or Revit® Architecture, the Properties palette displays property data for an object selected on the canvas.

For example, when you select an interior wall on the canvas, the published DWF properties for the wall display on the Design tab, and the takeoff measurements display on the Takeoff tab, as shown.

Design Tab

Takeoff Tab

TipYou can export DWF properties from the Properties palette. For more information, see Exporting Object Properties.


Navigator Palette

Properties Palette
Palettes
Model Palette
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface > Palettes >
Expand All
Collapse All
Navigator Palette

When you are viewing a 2D sheet on the canvas, the blue frame on the Navigator palette outlines the area of the sheet that is currently in view. This can be helpful when you are working with a very large detailed sheet.

The blue rectangle acts as a magnifying glass on the sheet. Drag it to reposition the view location on the canvas.

At the bottom of the Navigator palette is a zoom control toolbar. Use the controls to zoom in or out by small or large increments.


Model Palette

Navigator Palette
Palettes
Contextual Tools Palette
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface > Palettes >
Expand All
Collapse All
Model Palette

When you are viewing a 3D DWF file, the objects that are published from the design application display on the Model palette in a navigation tree that is similar to the tree in Windows® Explorer®.

You can make a selection at any level of the tree, and then right-click to access commands for filtering the display of the model on the canvas and for creating takeoff for the selected group, item, or object:

  • Hide. Hides the selected object(s) from view
  • Hide Others. Hides all objects from view except the selected object(s)
  • Show All. Restores the default view of the model, with all objects shown on the canvas
  • Transparent. Toggles the object display between transparent and opaque
  • Invert Selection. Selects all objects except the object(s) selected on the Model palette
  • Takeoff. Creates takeoff for a selected group, item, or object and places the results on the Takeoff palette
  • Takeoff to Item. Adds takeoff results for selected items or objects to a specified item on the Takeoff palette

For more information about using 3D design data to create takeoff, see Creating Takeoff from the Model Palette.

View Options

As you work with a 3D model, click View menu [image] Standard Views to access a full set of model views:


Contextual Tools Palette

Model Palette
Palettes
Bookmarks Palette
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface > Palettes >
Expand All
Collapse All
Contextual Tools Palette

The Contextual Tools palette identifies the currently selected tool and provides access to tool options, such as line or fill color, opacity, hatch pattern, text color, and font size.


Bookmarks Palette

Contextual Tools Palette
Palettes
Layers Palette
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface > Palettes >
Expand All
Collapse All
Bookmarks Palette

The Bookmarks palette displays any bookmarks that were created in the drawing file by the design application from which the drawing file was published. Use bookmarks to navigate to published or user-specified locations in the sheet or model.


Layers Palette

Bookmarks Palette
Palettes
Search Palette
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface > Palettes >
Expand All
Collapse All
Layers Palette

Use the Layers palette to show or hide layers that were created in the design application from which the drawing file was published.


Search Palette

Layers Palette
Palettes
Workbook
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface > Palettes >
Expand All
Collapse All
Search Palette

Use the keyword search feature on the Search palette to locate all occurrences of a word or phrase in sheets, models, takeoff groups, items, and objects. Use the navigational links in the search results to navigate to an item and view its takeoff data.

The Search palette works in conjunction with the Search function on the menu bar.

When you enter a keyword in the Search field, and press ENTER, the Search palette displays the results. You can then use the Search palette to refine the results.


Workbook

Search Palette
Palettes
Cross-Selection of Objects
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface > Palettes >
Expand All
Collapse All
Workbook

The Workbook palette is located at the bottom of the QTO window by default. Like other palettes in QTO, you can move the Workbook so that it displays as a tab on the side of the QTO window. Use the Workbook to view takeoff data for the active sheet or the entire project.

The Workbook is organized by tabs that match the top-level groups (for example, disciplines, divisions, or trades) on the Takeoff palette. It contains one additional tab: the Summary tab, which is a compilation of all takeoff information for all categories.

NoteThe units of measure that display in the Workbook are typically specified when you create takeoff items; however, you can modify them directly in the Workbook.

By default, the Workbook shows a summary of takeoff items with their associated quantities. To display their material, labor, and equipment costs, right-click any column header in the Workbook and select the cost columns to display. The quantity and cost data in the Workbook can help you answer questions, such as: How many doors are needed for the 3rd floor? How much will they cost? What will it cost to install them?

From the summary view, double-click an item to display the detailed object data associated with it. To return to the summary view, click the Back button [image] in the upper-left corner of the Workbook. The Forward button [image] , which displays next to the Back button in the summary view, provides another way to view item detail. Select an item and click [image] to view its object data.

In the summary view, the tabs are active. Click a tab to view its contents. In the detail view, the tabs are inactive (dimmed) because the view is limited to the object data for the selected item.

Working with Data in the Workbook

The Workbook contains object data for all of the takeoff you create in a project. When you select an item on the Takeoff palette and use a takeoff tool to count or measure a piece of geometry on a sheet, that takeoff measurement is recorded for the item in both the summary and detail views of the Workbook. As long as the item remains selected on the Takeoff palette, subsequent takeoff measurements are added to the totals for that item in the Workbook.

Navigate and edit Workbook cells using functionality like that found in Microsoft® Excel®. With a cell selected:

  • Press the TAB key to move one cell to the right.
  • Press SHIFT + TAB to move one cell to the left.
  • Press the ENTER key to move one cell down, vertically.
  • Use the arrow keys to move up, down, left, or right one cell at a time.
  • Override item data, such as dimensions and measured quantities, by making entries in cells and pressing the ENTER key. For more information, see Entering Overrides in the Workbook.
  • Use the formula bar to enter formulas for items and objects. For more information, see Entering Formulas in the Workbook.

Viewing Data for the Current Sheet or Entire Project

By default, the Workbook displays takeoff data for the current sheet; however, it includes the option to view data for the entire project. To switch between Sheet and Project views, click [image] (palette menu) [image] Workbook Filter, and select a view option.

When Sheet is selected, the name of the sheet or model displays in the Workbook header. When Project is selected, the name of the project displays in the header. The filter option you specify is applied to both the summary and detail views of the Workbook, and it is saved as a display setting, so it persists from session to session.

Adjusting Row Size and Column Layout

By default, Row Size is set to Medium. To change the height of the rows in the Workbook, click [image] (palette menu) [image] Row Size, and select a size option. When you increase or decrease the row size, the font is increased or decreased proportionally.

You can modify the layout of the columns in the Workbook. For more information, see Modifying the Column Layout on Palettes.

Resizing the Selection Field

The Selection field in the upper-left corner of the Workbook displays the group, item, or object that is currently selected in the Workbook. To change the width of the Selection field, put the cursor over the boundary on the right side of the field. When the cursor changes to a double-headed arrow, drag the boundary until the field is the width you want.


Cross-Selection of Objects

Workbook
Touring the User Interface
Setting up Your Workspace
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Touring the User Interface >
Expand All
Collapse All
Cross-Selection of Objects

When you select takeoff geometry on the canvas, the corresponding object is selected both on the Takeoff palette and in the Workbook. Similarly, when you select an object on the Takeoff palette or in the Workbook, the takeoff geometry is selected on the canvas. This 3-way visual cross-referencing of objects—on the canvas, at the project level (Takeoff palette), and at the sheet or project level (Workbook)—can help you manage and validate takeoff data.

These are the rules that govern the visual cross-referencing of objects:

  • A selected object is always highlighted in blue on the Takeoff palette and in the detail view of the Workbook.
  • When the item that contains a selected object is collapsed, the item is highlighted in gray, indicating that it contains the currently selected object. On the Takeoff palette, expand the item to see the selected object. In the summary view of the Workbook, double-click the item to see the selected object.
  • When the takeoff group that contains a selected object is collapsed, the group is not highlighted. Expand the group to see the highlighted item; expand the item to see the selected object.
  • When an object is selected on the canvas, right-click, and click Locate Object to quickly find the corresponding item and object on the Takeoff palette. QTO expands groups and subgroups on the Takeoff palette, as needed, to expose and highlight the selected object. The object is also highlighted in the Workbook, but QTO does not expose it automatically as it does on the Takeoff palette.
  • Cross-selection also works on DWF files published from QTO. For more information, see Publishing to DWF.


Setting up Your Workspace

Cross-Selection of Objects
QTO Basics
Arranging Tools and Palettes
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics >
Expand All
Collapse All
Setting up Your Workspace

This section describes various options for arranging the elements of the QTO user interface to suit your work preferences.

Topics in this section

  • Arranging Tools and Palettes
  • Modifying the Column Layout on Palettes
  • Using Two Monitors
  • Resetting the Window Layout


Arranging Tools and Palettes

Setting up Your Workspace
Setting up Your Workspace
Modifying the Column Layout on Palettes
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Setting up Your Workspace >
Expand All
Collapse All
Arranging Tools and Palettes

You can move the toolbar and palettes to best suit your needs. At any time, you can revert to the default workspace layout by clicking Window menu [image] Reset Window Layout.

TipIf you use a dual-monitor system, see Using Two Monitors.

To move the toolbar:

Drag the move handle [image] on the docked toolbar, or the title bar on the floating toolbar, to the new location.

To move a palette:

  1. On the palette title bar, click [image] .
  2. Drag the title bar to the new location.

    When you drag the palette, docking controls display at the center and at each edge of the canvas to show where the palette can dock.

    Center docking controls

  3. Drag the palette over one of the docking controls, and release the mouse button to dock the palette.


Modifying the Column Layout on Palettes

Arranging Tools and Palettes
Setting up Your Workspace
Using Two Monitors
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Setting up Your Workspace >
Expand All
Collapse All
Modifying the Column Layout on Palettes

You can show/hide, resize, and sort columns on the Documents palette, the Takeoff palette, and in the Workbook to manage the display of data. You can move columns on the Documents palette and in the Workbook. The column settings you specify persist from session to session.

To hide or show a column:

Right-click any column heading, and click the name of the column you want to hide or show.

To change the width of a column:

  1. Put the cursor over the boundary on the right side of the column heading.

    The cursor changes to a double-headed arrow when the boundary is selected.

  2. Drag the boundary until the column is the width you want.

To optimize the width of a column:

Double-click a column boundary to change the column width to fit the contents.

To sort columns:

By default, columns are sorted alphanumerically in ascending order.

  1. Click a column header to sort the values in the column alphanumerically in descending order.
  2. Click the column header again to sort it in ascending order.

To change the column order:

On the Documents palette and in the Workbook, move any column (except the Description column) by selecting it and dragging it to a new position on the palette.

To change the tab order in the Workbook:

Move any tab by selecting it and dragging it to a new position in the Workbook.


Using Two Monitors

Modifying the Column Layout on Palettes
Setting up Your Workspace
Resetting the Window Layout
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Setting up Your Workspace >
Expand All
Collapse All
Using Two Monitors

To maximize the canvas, you can work with two monitors and drag the palettes to the second monitor.


Resetting the Window Layout

Using Two Monitors
Setting up Your Workspace
Working with Projects
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > QTO Basics > Setting up Your Workspace >
Expand All
Collapse All
Resetting the Window Layout

After working with dual monitors, or after docking palettes to customize your workspace, you can restore the default layout by clicking Window menu [image] Reset Window Layout.


Working with Projects

Resetting the Window Layout
Autodesk Quantity Takeoff 2011 Help
Specifying Preferences
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help >
Expand All
Collapse All
Working with Projects

QTO system preferences and project settings help you customize your user experience. System preferences control the display and behavior of various application components across all projects. Project settings define how to quantify materials and calculate costs for a particular project. When you create a new project, you use the Project Setup Wizard to specify project settings. After you create the project, some settings can be changed, as explained in this section.

Topics in this section

  • Specifying Preferences
  • Creating a Project
  • Opening a Project
  • Renaming a Project
  • Changing Project Settings
  • Upgrading Project Files


Specifying Preferences

Working with Projects
Working with Projects
Creating a Project
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Projects >
Expand All
Collapse All
Specifying Preferences

Use the Preferences dialog to control the display and behavior of the following application components: user data, dialogs and alerts, models, property mapping, item types and assignments, and automatic project file backups. Use the controls on the tabs in the Preferences dialog to select options for each component.

To specify preferences:

  1. Click Edit menu [image] Preferences.
  2. On the User Data tab, enter your name and company name.

  3. On the Model tab, specify the following view settings:
    • Enable Hardware Acceleration. Select if you want to take advantage of any performance enhancement that is possible with your graphics processor. The new setting will take effect when you navigate back to the current sheet after navigating to a different one.
      NoteTransparency is not available with this option. If you experience graphics problems while using QTO with remote access or software emulation products, or at any other time, clear the option.
    • Enable Takeoff Model Color. Selected by default, this option enables the takeoff color-coding of 2D views in 3D views. Autodesk Quantity Takeoff must be restarted if you clear this option. For more information see Modifying Item Properties.

  4. On the Mapping tab:
    • For Publisher, select either AutoCAD-based or Revit-based to identify the source of the design documents.
    • For Language, select the language to use for the property names.
    • If you want to modify any property names, double-click the current value, and enter a new name.
    NoteThe property settings you define on the Mapping tab are used as the default values for quantities. For more information, see About Object Mapping.

  5. On the Item Type tab, after you have run model takeoffs, you can review the item types you specified for design items when defining model takeoff data, and delete any item preferences that you do not want applied to future model takeoffs. To delete an item preference:
    • Select the item preference, and click [image] (Delete).
    • When prompted to confirm the deletion, click Yes.

  6. On the Auto Save tab, if you want your QTO project to be saved automatically, select Enable Auto Save, and specify the frequency for saves by selecting a number of minutes.

    Automatically saving your project can minimize data loss if you experience a hardware or software crash while the project is open. When you enable auto saves, the timer starts as soon as you click OK. After the specified number of minutes has elapsed, the current project is saved to the backup copy of the project file, which is in the same folder as the original project file.

    NoteAuto Save is not the same as a File [image] Save operation, which updates the original project file rather than the backup copy of the project file.
  7. On the Interface tab, select the check boxes next to the dialogs and alerts you want the application to display. For example, if you want the Quick Start dialog to display each time you launch QTO, select Quick Start.

  8. On the Assignment tab, if you have created assignments, you can review these relationships between model takeoff items and catalog items (shown in the Assigned To column), and delete any assignment preferences that you do not want applied to future model takeoff results. Items are listed in ascending alphabetical order, based on the label style you specify (either Item Only, Item and Parent Group, or Item and Root Group). To delete an assignment preference:
    • Select the assignment preference, and click [image] (Delete).
    • When prompted to confirm the deletion, click Yes.

    For more information about item assignments, see Creating Takeoff Using Catalog Assignments.

  9. Click OK.


Creating a Project

Specifying Preferences
Working with Projects
Opening a Project
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Projects >
Expand All
Collapse All
Creating a Project

A project is a collection of files and takeoff items that you use to produce detailed material quantities. When you create a project, you select the design files and catalog content to import, and you specify project settings, such as the currency system to use for cost data.

Create a project using the Quick Start dialog that displays at startup, or click File menu [image] New. Either method opens the Project Setup Wizard, where you specify the project name and location, unit and currency systems, catalog for organizing takeoff data, and documents to import for creating takeoff.

NoteAfter you create the project, you can add password protection to it. For more information, see Changing Project Settings.

To create a project:

  1. Start QTO.
  2. Do one of the following:
    • If the Quick Start dialog displays, click New Project.

    • If the Quick Start dialog does not display, click File menu [image] New.

      Use the Interface tab of the Preferences dialog to specify whether the Quick Start dialog displays at startup. For more information, see Specifying Preferences.

  3. In the Project Setup Wizard dialog, on the Name Project page, enter a project name.

  4. For Path, accept the default of My Documents, or click Browse and select a different location for the project.
  5. Click Next.
  6. On the Specify Settings page, for Unit System, select either Imperial or Metric as the default unit for the project.
    ImportantIt is critical to select the correct unit system for the project during project setup. Do not change units after you begin to create takeoff data.

  7. For Currency, select U.S. dollars, Euros, British pounds, or Swiss francs.
    NoteProjects also have time settings, which are used as multipliers in hourly cost calculations. By default, hourly calculations are based on 8 work hours in a day, 40 in a week, and 160 in a month. For information about modifying these values, see Changing Default Time Settings.
  8. Click Next.
  9. On the Select Catalog page, select one of the supplied catalogs, or click Browse and select a different catalog.

    NoteYou can create a project without a catalog and add the organizational structure for your takeoff data using other methods. For more information, see Working with Takeoff Groups and Items.
  10. Click Next.
  11. On the Import Files page, under Drawings/Models, click Add.
  12. In the Import Sheets & Models dialog, navigate to the location of the drawing files that you want to use for the project, select the files, and click Import.

    The selected files display on the Import Files page.

  13. Click Finish.

    The project is created, and a message notifies you that the project is ready to use.

  14. If you want QTO to open subsequent new projects as soon as they are created, select Automatically close when the project setup is complete.
  15. Click Close.
  16. In the Select Items to Import dialog, you have the option to customize the catalog you selected for the new project:
    • Expand groups to see any items they contain. Clear the check boxes for groups and items you want to exclude from your project.

      Upon import, the selected groups become top-level groups on the Takeoff palette, and they contain any items that you selected. By default, all groups are locked.

      NoteIf the catalog you are importing is a pay item list from Civil 3D 2010 or later, the Select Items to Import dialog displays pay items without hierarchical groupings. Pay items that have unsupported units, such as gallons, are not exported from Civil 3D.
    • To save your selections as catalog preferences that can be used when you import the same catalog in the future, select Save selection with catalog (*.att.option).

      If you do not save your selections with the catalog, during future imports, all categories will be selected by default; however, you can still choose to include or exclude them as needed.

    • Click OK.

      The project opens in QTO. For information about the default display of palettes and tools, see Touring the User Interface.

  17. On the Takeoff palette, unlock the groups and items that you want to modify. To unlock all groups and their associated items, select Unlock All [image] next to the Description column header, and click Yes to confirm the unlock operation.


Opening a Project

Creating a Project
Working with Projects
Renaming a Project
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Projects >
Expand All
Collapse All
Opening a Project

You can open a project file from within the QTO application or from outside the application. If you open a project from outside QTO when the application is already running, the selected project file opens in a new instance of QTO.

From within QTO:

  1. Do one of the following:
    • In the Quick Start dialog, click Open Project.

      TipUse the Interface tab of the Preferences dialog to specify whether the Quick Start dialog displays at startup. For more information, see Specifying Preferences.
    • Click File menu [image] Open.
  2. In the Open Takeoff Project dialog, navigate to the project (ATO) file, select it, and click Open.

From outside QTO:

  1. Do one of the following:
    • In Windows Explorer, navigate to a project (ATO) file, and double-click it.
    • Click Start menu [image] Run. In the Run dialog, either click Browse and navigate to a project (ATO) file, or enter the full path and file name of the project. Click OK.
  2. Allow time for the project to open. If QTO is not yet running, the application starts up, and then the project file opens. If one or more instances of QTO are already running, the selected project file opens in a new instance of QTO.


Renaming a Project

Opening a Project
Working with Projects
Changing Project Settings
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Projects >
Expand All
Collapse All
Renaming a Project

You can rename a project at any time using Windows® Explorer®. You can also use the Save As command on the QTO File menu to save a project under a new name. For example, if your typical workflow includes periodically estimating a project to account for changes during the design and construction phases, you can save each iteration of the takeoff data with a different name, such as ResearchLab_25%, ResearchLab_50%, and ResearchLab_100%, to maintain a project history.


Changing Project Settings

Renaming a Project
Working with Projects
Adding or Removing Password Protection
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Projects >
Expand All
Collapse All
Changing Project Settings

The Project Settings dialog contains separate tabs where you can specify the security, units, takeoff, and time settings for a project, as well as view the currency system you specified for the project when you created it:

  • Security tab. Specify whether a project is password-protected.
  • Units tab. View the Unit System value (imperial or metric) that was specified when the project was created. Specify default values for the item measurement units that are used for new items and items with an Undefined item type. Specify the canvas display unit.
  • Currency tab. View the currency system (U.S. dollars, Euros, or British pounds) that was specified when the project was created. Specify the currency format (short or long) that is used.
  • Takeoff tab. Specify default values for linear thickness and label size.
  • Time tab. Specify default values for work units (day, week, and month) that are used to calculate time-based item costs.

Topics in this section

  • Adding or Removing Password Protection
  • Changing Project Units
  • Changing Project Currency
  • Changing Default Takeoff Settings
  • Changing Default Time Settings


Adding or Removing Password Protection

Changing Project Settings
Changing Project Settings
Changing Project Units
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Projects > Changing Project Settings >
Expand All
Collapse All
Adding or Removing Password Protection

You can add or remove password protection for a project at any time. When you add password protection to a project, any user attempting to open the project must first enter the designated password.

To add password protection to a project:

  1. Open the project.
  2. Click File menu [image] Settings.

  3. In the Project Settings dialog, click the Security tab.
  4. Select Password Protect this File.
  5. For Password, enter a password.
  6. For Re-Enter Password, enter the same password you entered above.
  7. Click OK.

To remove password protection from a project:

  1. Open the project.
  2. Click File menu [image] Settings.
  3. In the Project Settings dialog, on the Security tab, clear Password Protect this File.
  4. Click OK.


Changing Project Units

Adding or Removing Password Protection
Changing Project Settings
Changing Project Currency
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Projects > Changing Project Settings >
Expand All
Collapse All
Changing Project Units

These rules govern changes to project units on the Units tab of the Project Settings dialog:

  • Unit System. You cannot change the unit system (imperial or metric) that was specified when the project was created.
  • Quantity Units. These are the default measurement units that are used for new items and items with an Undefined item type. Changing the Quantity Units values has no effect on existing, defined takeoff items. Therefore, if you change the Quantity Units values after takeoff data has been created, existing measurements for defined items on the Takeoff palette and in the Workbook will not be converted to the new units. To change the measurement units for defined items, use the Takeoff Item Properties dialog.
  • Canvas Display Unit. You can change the display unit at any time, and the units that are displayed for existing takeoff measurements on drawings will reflect the new unit.
    NoteDrawings also have drawing units, which are controlled at the sheet level. For more information, see Specifying Drawing Units.


Changing Project Currency

Changing Project Units
Changing Project Settings
Changing Default Takeoff Settings
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Projects > Changing Project Settings >
Expand All
Collapse All
Changing Project Currency

These rules govern changes to currency settings on the Currency tab of the Project Settings dialog:

  • Currency. You cannot change the currency system that was specified when the project was created.
  • Use Long Format. You can change the currency format (short or long) at any time.


Changing Default Takeoff Settings

Changing Project Currency
Changing Project Settings
Changing Default Time Settings
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Projects > Changing Project Settings >
Expand All
Collapse All
Changing Default Takeoff Settings

Use the Takeoff tab of the Project Settings dialog to control the default linear thickness and label size for the current takeoff project.

  1. Click File menu [image] Settings.
  2. In the Project Settings dialog, click the Takeoff tab.

  3. To change the default thickness for linear takeoff, select a different lineweight.
  4. To use the specified lineweight for all linear takeoff, select Always use default thickness.
  5. To change the default label size, select a different font size.
  6. Click OK.

When you change the takeoff defaults, any new takeoff that you create will reflect the new default settings. Existing takeoff measurements on drawings are not updated to reflect new lineweight and label size settings.


Changing Default Time Settings

Changing Default Takeoff Settings
Changing Project Settings
Upgrading Project Files
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Projects > Changing Project Settings >
Expand All
Collapse All
Changing Default Time Settings

The values entered on the Time tab of the Project Settings dialog are used to calculate time-based costs associated with items (as defined in the Takeoff Item Properties dialog). By default, time calculations are based on 8 work hours in a day, 40 in a week, and 160 in a month. However, you can edit these values and, thereby, change the multipliers in cost calculations that involve time. For example, if you specify a work day of 7 hours instead of 8, your work week will be calculated as 35 hours, and your month as 140 hours.

  1. Click File menu [image] Settings.
  2. In the Project Settings dialog, click the Time tab.

  3. On the Time tab, specify the number of hours in a standard work day, week, and month for the current project.
  4. Click OK.

When you change the time defaults, items with hourly costs in the current project are recalculated, and the updated costs display in the Workbook.


Upgrading Project Files

Changing Default Time Settings
Working with Projects
Importing and Organizing Content
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Projects >
Expand All
Collapse All
Upgrading Project Files

You can upgrade project files created in Autodesk Quantity Takeoff 2008 or later for use in Autodesk Quantity Takeoff 2011.

NoteDifferences between Autodesk Quantity Takeoff 2011 and earlier versions may result in the following minor differences between upgraded projects and those created in Autodesk Quantity Takeoff 2011: 1) In upgraded projects, the line width of existing markups is not updated to reflect actual item thickness; 2) If the unit system for the old project file is different from the upgraded file (as when changing from metric to imperial units), any formulas associated with assembly components are multiplied by a scale value.
  1. Do one of the following:
    • In the Quick Start dialog, click Open Project.

    • Click File menu [image] Open.
  2. In the Open Takeoff Project dialog, navigate to the project, select it, and click Open.
  3. When prompted that the file must be upgraded for use in the current release of QTO:
    • Accept the default selection of creating a backup of the original files, unless you have already created a backup copy.
    • If you indicate that you do not want to be prompted for future file upgrades, the software will automatically perform future upgrades using the setting you specified for creating a backup.
  4. Click Upgrade.

    A progress dialog displays while the file is being upgraded.

  5. When the upgrade is finished, click OK.

    Converted files retain their original names. Backup files are renamed, using the following naming conventions:

    • For Autodesk Quantity Takeoff 2008: filename_bakr1_1.ato, where the _1 suffix becomes _2 if filename_bakr1_1.ato already exists.
    • For Autodesk Quantity Takeoff 2009: filename_bakr2_1.ato, where the _1 suffix becomes _2 if filename_bakr2_1.ato already exists.


Importing and Organizing Content

Upgrading Project Files
Autodesk Quantity Takeoff 2011 Help
Working with Documents
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help >
Expand All
Collapse All
Importing and Organizing Content

Before you can create takeoff data, you need to import the documents that will form the basis for your takeoff project, and you need to create a catalog structure that will hold your takeoff data, as described in this section.

Topics in this section

  • Working with Documents
  • Working with Takeoff Groups and Items


Working with Documents

Importing and Organizing Content
Importing and Organizing Content
Importing Documents
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Importing and Organizing Content >
Expand All
Collapse All
Working with Documents

When you create a project, the documents you import are organized in folders on the Documents palette. After creating the project, you can import additional documents. You can also move, rename, and delete documents and folders at any time during the project life cycle, but it is generally best to organize project documents before you start the takeoff process.

NoteIn addition to imported design documents, the Documents palette also contains any reports or sheet comparisons you generate. For more information, see Creating and Viewing Reports and Comparing Sheets.

Topics in this section

  • Importing Documents
  • Organizing Documents
  • Deleting Documents


Importing Documents

Working with Documents
Working with Documents
Organizing Documents
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Importing and Organizing Content > Working with Documents >
Expand All
Collapse All
Importing Documents

When you import DWF files, the sheets and models are placed in folders with names that are derived from the names of the DWF files. Each folder contains all sheets that were in the DWF file. For PDF files and image files, such as TIF files, each folder contains one sheet. You can move sheets to different folders to organize them by view type or some other logical grouping. For more information, see Organizing Documents.

To import a document

  1. On the Documents palette, click [image] (Import).

You can also click File menu [image] Import [image] Sheets & Models.

  2. In the Import Sheets & Models dialog, browse to the desired file, and click Import.
    TipTo select multiple files to import, press and hold CTRL while selecting the files.

    A folder is added for each imported file. Expand a folder to view its contents.


Organizing Documents

Importing Documents
Working with Documents
Deleting Documents
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Importing and Organizing Content > Working with Documents >
Expand All
Collapse All
Organizing Documents

All project documents are organized in folders on the Documents palette. You can add, rename, and delete folders, and you can move documents among folders to organize them for efficient use. For example, you can group documents in folders based on view type, such as Floor Plans, Ceiling Plans, Sections, Elevations, and Details.

To add a top-level folder:

  1. On the Documents palette, click [image] (New Folder).

    You can also right-click an empty area of the palette, and click New Folder.

  2. Enter a folder name, and press ENTER.

To add a subfolder:

  1. On the Documents palette, select the folder where you want to create a subfolder, and click [image] (New Folder).

    You can also right-click the folder where you want to create a subfolder, and click New Folder.

  2. Enter a folder name, and press ENTER.

To move documents to a folder:

  1. On the Documents palette, expand the folders that contain the documents you want to move.
  2. While pressing CTRL, select all the documents to move to a folder.
  3. Drag and drop the selected documents into the folder.

To rename a folder:

  1. On the Documents palette, select the folder to rename, right-click, and click Rename.

    You can also select the folder, and click in the Name column to enter editing mode.

  2. Enter a name for the folder, and press ENTER.

To delete a folder:

  1. On the Documents palette, select the folder to delete, and click [image] (Delete).

    You can also right-click the folder, and click Delete.

  2. In the alert dialog, click Yes.


Deleting Documents

Organizing Documents
Working with Documents
Working with Takeoff Groups and Items
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Importing and Organizing Content > Working with Documents >
Expand All
Collapse All
Deleting Documents

You can delete documents individually, or you can delete them collectively by deleting a folder.

ImportantIf there is takeoff on a sheet or model you delete, the takeoff is deleted from the project.

To delete a document or folder

  1. On the Documents palette, select the document or folder to delete, and click [image] (Delete).

    You can also right-click the document or folder, and click Delete.

  2. In the alert dialog, click Yes.


Working with Takeoff Groups and Items

Deleting Documents
Importing and Organizing Content
Importing a Catalog
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Importing and Organizing Content >
Expand All
Collapse All
Working with Takeoff Groups and Items

All takeoff data is organized on the Takeoff palette in a hierarchy:

  • Work Breakdown Structure (WBS) groups (folders and subfolders)
  • Takeoff items (such as interior walls and plumbing fixtures to be measured and counted)
  • Objects (individual instances of the takeoff items in the sheets and models).

This hierarchy is graphically represented by columns and a navigation tree that supports multiple levels of WBS groups, allowing you to create the organizational structure needed for your takeoff project.

You can create your project structure using these methods individually or in combination:

  • Import a catalog. When you create a project, you can import a catalog to define the organizational model for your takeoff project. If you base a project on a catalog, the Takeoff palette is populated with takeoff groups (such as disciplines) that are derived from the catalog. After you have created a project, you can import additional data from a catalog or spreadsheet to automatically create more takeoff groups and items.
  • Use automatic takeoff tools. Create items on the Takeoff palette as the takeoff is run by using automatic takeoff tools, which are available for DWF sheets and models.
  • Create WBS groups and items. Use the Takeoff palette to create WBS takeoff groups and items to hold and organize the takeoff data for your project.

Topics in this section

  • Importing a Catalog
  • Creating and Organizing Work Breakdown Structure Takeoff Groups


Importing a Catalog

Working with Takeoff Groups and Items
Working with Takeoff Groups and Items
Creating and Organizing Work Breakdown Structure Takeoff Groups
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Importing and Organizing Content > Working with Takeoff Groups and Items >
Expand All
Collapse All
Importing a Catalog

You can import takeoff groups and item names into the Takeoff palette from a catalog or a spreadsheet. If any imported group or item name is the same as a name that is already on the Takeoff palette, a numerical suffix is added to the name of the imported group or item to prevent duplicate names. For example, a duplicate takeoff group named Interior Walls would be renamed Interior Walls_2 upon import.

NoteYou can create catalogs that contain user-defined data. For more information, see Creating a Catalog with Catalog Data Fields.

To import catalog data:

  1. Click File menu [image] Import [image] Catalog.
  2. In the Import Catalog dialog, navigate to the ATT, CSV, or TXT file, and click Import. If you have installed a supported estimating application, you may also see a file extension that is specific to that application.
    NoteSubsequent attempts to import a third party catalog into the same QTO project might be suppressed, depending on the catalog type.
  3. In the Select Items to Import dialog:
    • Expand groups to see any items they contain. Clear the check boxes for groups and items you want to exclude from your project.
      NoteIf the catalog you are importing is a pay item list from Civil 3D 2010 or later, the Select Items to Import dialog displays pay items without hierarchical groupings. Pay items that have unsupported units, such as gallons, are not exported from Civil 3D.
    • To save your selections as catalog preferences that can be used when you import the same catalog in the future, select Save selection with catalog (*.att.option).

      If you do not save your selections with the catalog, during future imports, all categories will be selected by default; however, you can still choose to include or exclude them as needed.

    • Click OK.

      Upon import, the selected groups become top-level groups on the Takeoff palette, and they contain the items you selected. If the Takeoff palette was empty before you imported this catalog, all groups are locked by default. Otherwise, only the newly imported groups are locked.

  4. On the Takeoff palette, unlock the groups or items that you want to modify. If all groups are locked, you can unlock all groups and their associated items by selecting Unlock All [image] next to the Description column header and clicking Yes to confirm the unlock operation.
    NoteCertain catalog types support parameters, which are displayed on the Catalog Parameters tab of the Takeoff Item Properties dialog. When the Catalog Parameters tab is displayed, the Assembly tab is suppressed.

To import spreadsheet data:

  1. Verify that the data is in a comma-separated format and saved as a CSV file.
    TipYou can use the sample CSV file installed with QTO as a catalog for your own data. For both Microsoft® Windows XP Professional users and Microsoft® Windows Vista users, the installed location is C:\Program Files\Autodesk\Autodesk Quantity Takeoff 2011\Samples\Sample Catalog.csv.
  2. Click File menu [image] Import [image] Catalog.
  3. In the Import Catalog dialog, navigate to the CSV file, and click Import.


Creating and Organizing Work Breakdown Structure Takeoff Groups

Importing a Catalog
Working with Takeoff Groups and Items
Creating Takeoff Items and Assemblies
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Importing and Organizing Content > Working with Takeoff Groups and Items >
Expand All
Collapse All
Creating and Organizing Work Breakdown Structure Takeoff Groups

Customize the Takeoff palette to suit your project requirements or office standard by adding, moving, merging, renaming, and deleting Work Breakdown Structure (WBS) groups for your takeoff items. WBS groups are shown on the Takeoff palette and in the workbook as an alphabetized organizational column. The information is also listed on the Properties palette when an item is selected. Create subgroups within WBS groups to refine the organizational structure you need.

NoteAfter you have customized the Takeoff palette, you can export it as a catalog for use in other projects. For more information, see Exporting a Catalog.

To create a top-level WBS group:

  1. On the Takeoff palette, click an empty area of the palette so that nothing is selected, and click [image] (New Group).

    You can also click [image] (palette menu) [image] New Group, or right-click and click New Group.

  2. Enter a name for the WBS group, and press ENTER.

    The WBS group is created at the root of the Takeoff palette and displays in the far left column.

To create a subgroup with the New Group command:

  1. On the Takeoff palette, select the WBS takeoff group or subgroup for which you want to create a subgroup, and click [image] (New Group).

    You can also click [image] (palette menu) [image] New Group, or right-click and click New Group.

  2. Enter a name for the subgroup, and press ENTER.

    The subgroup displays below the group. It is indented to show that it is contained within the higher-level group.

To create a subgroup by moving one group into another:

  1. On the Takeoff palette, select the group you want to become a subgroup.
  2. Drag and drop the selected group on top of the group you want to contain it.

    The subgroup is contained within the group. Expand the higher-level group to see the subgroup.

To merge groups or subgroups:

  1. On the Takeoff palette, select the takeoff groups or subgroups to merge. You can merge a set of groups or a set of subgroups, but you cannot merge a mixed set of groups and subgroups.

    To select a set of consecutive groups, press and hold SHIFT while selecting the groups. To select a set of non-consecutive groups, press and hold CTRL while selecting the groups.

    NoteAll selected groups are merged into the last group you select.
  2. Right-click, and click Merge.

    You can also click [image] (palette menu) [image] Merge.

    The selected groups are merged into a single group, which is selected on the Takeoff palette.

  3. Rename the group or subgroup if necessary.

To rename groups or subgroups:

  1. On the Takeoff palette, select the takeoff group or subgroup to rename.
  2. Click in the Description column of the selected group or subgroup to enter editing mode.
  3. Enter the new name, and press ENTER.

    Alternatively, you can double-click the group or subgroup to open the Takeoff Group Properties dialog, where you can enter a new name as well as remarks.

To delete a group:

  1. Determine whether the group contains takeoff data that you want to retain.
    ImportantIf you delete a group that contains takeoff data, the data is deleted from the project.
  2. On the Takeoff palette, select the group to delete, and click [image] (Delete).

    You can also right-click the group, and click Delete.

  3. To delete multiple takeoff groups, press and hold CTRL, select the groups, and click [image] .


Creating Takeoff Items and Assemblies

Creating and Organizing Work Breakdown Structure Takeoff Groups
Autodesk Quantity Takeoff 2011 Help
About Item Type
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help >
Expand All
Collapse All
Creating Takeoff Items and Assemblies

QTO uses a takeoff item to represent a specific material or unit summarized in a materials list. Takeoff items can be simple, such as a door, or more complex, such as a wall assembly, which is made up of several component items.

QTO can measure and count items associated with civil, architectural, and engineering projects. The manner in which takeoff is calculated for each item is determined by the item type you specify when you create the item.

Topics in this section

  • About Item Type
  • Creating a Takeoff Item
  • Creating an Assembly


About Item Type

Creating Takeoff Items and Assemblies
Creating Takeoff Items and Assemblies
Creating a Takeoff Item
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Creating Takeoff Items and Assemblies >
Expand All
Collapse All
About Item Type

You must specify an item type for a takeoff item before it can be measured or counted by takeoff tools. The type you select determines the method that will be used to calculate takeoff for the item. For example, you would select Area as the item type for flooring, but Count as the item type for floor drains. For walls, select either Linear or Area, depending on the calculation needed for your estimate.

The following item types are available:

  • Linear. A linear takeoff item yields a linear measurement. Examples of this item type include trim and beams.
  • Area. An area takeoff item yields an area calculation. Examples of this item type include flooring and carpet.
  • Volume. A volume takeoff item yields a volume calculation. Examples of this item type include concrete slabs and rooms. Objects with this item type can be created only by automatic takeoff tools.
  • Count. A count takeoff item yields a total number. Examples of this item type include doors, windows, and furnishings.
  • Undefined. This is the default type for a newly created takeoff item. Undefined items are not counted or measured when you use takeoff tools.
NoteThe takeoff method you use (automatic or manual) determines the way that item types are used to create takeoff. For more information, see About Dimension Mapping.

Selecting an Item Type

You can select a Type value on the Takeoff palette after you create an item. You can also double-click the item on the Takeoff palette to open the Takeoff Item Properties dialog, where you have access to all item properties, including Type.

TipTo change the item type for multiple objects at once, use the Takeoff palette. To modify consecutive objects, press and hold SHIFT, select the objects, and then select a value for Type. For non-consecutive objects, use the same method while pressing CTRL.

Type field in the Takeoff Item Properties dialog

Type field on the Takeoff palette


Creating a Takeoff Item

About Item Type
Creating Takeoff Items and Assemblies
Creating an Assembly
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Creating Takeoff Items and Assemblies >
Expand All
Collapse All
Creating a Takeoff Item

Create takeoff items on the Takeoff palette by specifying the name, type, and properties of the item you want to count or measure.

NoteYou can also create assemblies, which are items that are made up of component items, as in the case of a wall assembly. For more information, see Creating an Assembly.

To create a takeoff item:

  1. On the Takeoff palette, select the group or subgroup in which to create the item, and click [image] (New item).

    You can also click [image] (palette menu) [image] New Item, or right-click and click New Item.

  2. Enter a descriptive name for the item, and press ENTER.

    The new item is added to the selected group or subgroup.

  3. For Type, select the calculation to use for the item.

    For information about the importance of item type, see About Item Type.

  4. Double-click the new item to open the Takeoff Item Properties dialog.

  5. On the General tab, define the item:
    • Under Dimension, enter values for all applicable dimensions, and select corresponding units of measure. The Dimension section of the General tab is populated with dimensions that are appropriate for the item type you selected when you created the item. If you change the item type, the dimension fields update dynamically.
    • Under Visual Display, modify the default values as necessary. When you click the default color, the Color dialog opens, where you can select a different standard color or create a custom color for the display of the takeoff item. The Opacity percentage controls the depth of color applied to the color block that is displayed on the Takeoff palette (and optional sheet legend) for the item. The higher the opacity percentage, the darker the color block. For items with an Area item type, you can assign hatch patterns (area fill motifs) and control hatch angle and scale. For Count items, you can specify the size and shape of count symbols that display on drawings when you create takeoff for the item.
    • Under Remarks, add any additional information that is helpful in defining the item. Remarks can be included in custom reports, which you can export to several common file formats.
  6. On the Assembly tab, you can specify existing items that are component parts of the item you are defining. For detailed instructions about using this tab, see Creating an Assembly.
  7. On the Cost Data tab, specify the per unit or lump sum costs (and optional time values) that will be used to calculate the Material Cost, Labor Cost, Subcontractor Cost, and Equipment Cost associated with the item.

    • Under Cost Quantities, Quantity 1 is the primary quantity for the item. The Quantity 1 value is fixed, based on the item type you selected. For example, if the item type is Linear, the Quantity 1 value is Length, and it cannot be edited. Quantity 2 is the secondary quantity, which you can use to produce quantities based on the dimensions specified on the General tab. If you enter a value for Quantity 2, select a corresponding unit of measure.

    • For Time, enter the amount of time needed to construct the item. Time can be computed on either a per unit or lump sum basis. To compute time on a per unit basis, enter a time value (such as .25 hour), and then select a QTO quantity as a multiplier: Quantity 1 is the default value; Quantity 2 is available if you entered a value and unit of measure for Quantity 2. To compute time on a lump sum basis, enter a time value (such as 5 days), and then select 1 as the multiplier.

      NoteBy default, time calculations are based on an 8-hour work day, a 5-day (40-hour) work week, and a 4-week (160-hour) month. Use the Project Settings dialog to change these values if necessary. For more information, see Changing Default Time Settings.
    • For Material Cost, enter the cost of raw materials for the item, either on a per unit or lump sum basis (as explained in the table that follows this bulleted list).
    • For Labor Cost, enter the labor cost for installation, either on a per unit, lump sum, or hourly basis (as explained in the table that follows this bulleted list).
      NoteLabor Cost is multiplied by a Complexity value. This value is 1 by default, but you can increase it to account for higher installation costs for an object. For more information, see Modifying Object Mapping and Costs.
    • For Subcontractor Cost, enter the cost of subcontracted labor, either on a per unit, lump sum, or hourly basis (as explained in the table that follows this bulleted list).
      NoteLike Labor Cost, Subcontractor Cost is multiplied by a Complexity value that can be increased when the labor cost for an object is expected to be higher than the amount specified at the item level. For more information, see Modifying Object Mapping and Costs.
    • For Equipment Cost, enter the cost of purchased or rented equipment needed for installation. As with the other costs, Equipment Cost may be entered either on a per unit, lump sum, or hourly basis (as explained in the following table).
      For this type of calculation: Enter cost as: And then, select this value:
      Per Unit | Cost per unit of measure (for example, if the item cost is 12 per sq ft, enter 12) | Qty 1 or Qty 2 (whichever unit of measure matches the cost you entered)
      Lump Sum | Total cost of item | 1
      Hourly | Cost per hour (for installer or equipment) | Hours

      Per Unit Calculations. To compute cost on a per unit basis, enter a cost (such as 10), and then select Quantity 1 or Quantity 2 as a multiplier. For example, if Quantity 1 is Length and the Unit is ft, then selecting Quantity 1 would yield a cost calculation of 10 per linear foot. Alternatively, if Quantity 2 is Area and the Unit is sq ft, then selecting Quantity 2 would yield a calculation of 10 per square foot.

      Lump Sum Calculations. To compute cost on a lump sum basis, enter a total cost (such as 1000), and then select 1 as the multiplier. When item cost is calculated on a lump sum basis, QTO ignores individual object costs for the item, including any Complexity values you specified for the objects. For information about the Complexity field, see Modifying Object Mapping and Costs.

      Hourly Calculations. To compute cost on an hourly basis, enter a cost (such as 100), and then select Hours as the multiplier. In this example, the rate of 100 per hour will be used in conjunction with the values specified in the Time section of the dialog. If time is expressed as a lump sum, then the monetary value of 100 is multiplied by the total number of hours specified in the Time field. If time is expressed on a per unit basis, such as .25 hour per square foot, then the software calculates the number of hours required to complete the total area, and then multiplies the result by the hourly rate of 100.

  8. Click OK.


Creating an Assembly

Creating a Takeoff Item
Creating Takeoff Items and Assemblies
Inputs Allowed in Formulas
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Creating Takeoff Items and Assemblies >
Expand All
Collapse All
Creating an Assembly

Takeoff items that contain component items are called assemblies. For example, if an interior wall item is created as an assembly, after you add a takeoff object to it, you can expand the wall item in the Workbook and view the component items that make up the wall, such as gypsum wallboard, wood studs, and insulation.

To create an assembly item, first, create the individual items that make up the assembly. In the case of the wall assembly, you would first create takeoff items for the gypsum wallboard, wood studs, and insulation. Then, you would create the wall item and use the Assembly tab of the Takeoff Item Properties dialog to select the components that make up the assembly and add any associated formulas.

TipAlternatively, you can use the Workbook to create assembly items. For more information, see Adding Components to an Assembly in the Workbook.

To create an assembly:

  1. Create the individual items that make up the assembly, as explained in Creating a Takeoff Item, making sure to select the appropriate item type for each item.
  2. On the Takeoff palette, select the takeoff group in which to add the assembly, and click [image] (New item).
  3. Enter a descriptive name for the assembly item, and press ENTER.

    The new item is added to the selected group or subgroup.

  4. For Type, select the calculation to use for the item.
  5. Double-click the item to open the Takeoff Item Properties dialog.
  6. On the General tab, specify the properties of the assembly item, using the same method you used for the individual items that make up the assembly.
  7. On the Assembly tab, click [image] (Add Unit).
  8. In the Browse dialog, navigate to the groups that contain the components of the assembly, and expand them.
  9. While pressing CTRL, select the components, and click Select.

    The selected components are added to the assembly item. You can now enter formulas for the components, which will allow the software to calculate item quantities and costs.

    NoteAll assembly cost calculations are based on the cost data you specified for the component items that make up the assembly. After you add components for an item on the Assembly tab, the fields on the Cost Data tab are dimmed.
  10. For the first component, click in the Formula column.
  11. In the Formula Editor dialog, create a formula by selecting quantity values, functions, object properties, and operators as needed. For example, for a standard 4' x 8' sheet of gypsum wallboard, the formula to determine the number of sheets needed for one side of a wall would be Area/32. Or, for both sides of a wall, (Area/32)x2. The software will divide the calculated area by the area of a single sheet of wallboard (and, in the example that includes both wall surfaces, it will then multiply the result by 2).
    TipYou can also enter many standard mathematical expressions and values not listed in the Formula Editor. For more information, see Inputs Allowed in Formulas.

  12. Click [image] to save the formula and close the Formula Editor dialog.
    NoteIf you click outside the Formula Editor at any time, QTO applies any valid changes and closes the Formula Editor dialog. If the formula is invalid, QTO displays an alert, and the Formula Editor remains open so you can correct the formula.
  13. If this component has a Count item type, in the Assembly tab of the Takeoff Item Properties dialog, click in the Unit column, and select a count unit of measure.

    This is the unit of measure that the software will use when calculating the count formula.

    Components with Linear, Area, and Volume item types use the measurement units that are specified in the Takeoff Item Properties dialog for the component item.

  14. Continue adding formulas for all assembly components.

  15. In the Takeoff Item Properties dialog, click OK.

The assembly item and its component items are displayed on the Takeoff palette. The assembly item is hidden in the Workbook because takeoff groups and items do not display in the Workbook until they contain at least one takeoff object.

Modify assemblies and edit assembly formulas through the Takeoff Item Properties dialog or directly in the Workbook. For more information, about working with assemblies in the Workbook see Adding Components to an Assembly in the Workbook and Entering Formulas in the Workbook.

Topics in this section

  • Inputs Allowed in Formulas


Inputs Allowed in Formulas

Creating an Assembly
Creating an Assembly
Performing Quantity Takeoff
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Creating Takeoff Items and Assemblies > Creating an Assembly >
Expand All
Collapse All
Inputs Allowed in Formulas

In addition to the quantity values, operators, and object properties that are available in the Formula Editor, you can enter any of the following mathematical functions to create formulas:

Name | Description
Abs | Returns the absolute value of a specified number.
Acos | Returns the angle whose cosine is the specified number.
Asin | Returns the angle whose sine is the specified number.
Atan | Returns the angle whose tangent is the specified number.
Atan2 | Returns the angle whose tangent is the quotient of 2 specified numbers.
Ceiling | Returns the smallest integer greater than or equal to the specified number.
Cos | Returns the cosine of the specified angle.
Cosh | Returns the hyperbolic cosine of the specified angle.
Exp | Returns e raised to the specified power.
Floor | Returns the largest integer less than or equal to the specified number.
Log | Returns the logarithm of a specified number.
Log10 | Returns the base 10 logarithm of a specified number.
Max | Returns the larger of 2 specified numbers.
Min | Returns the smaller of 2 numbers.
Pow | Returns a specified number raised to the specified power.
Round | Rounds a value down to the nearest integer or specified number of decimal places.
Sin | Returns the sine of the specified angle.
Sinh | Returns the hyperbolic sine of the specified angle.
Sqrt | Returns the square root of a specified number.
Tan | Returns the tangent of the specified angle.
Tanh | Returns the hyperbolic tangent of the specified angle.


Performing Quantity Takeoff

Inputs Allowed in Formulas
Autodesk Quantity Takeoff 2011 Help
Understanding Takeoff Methods
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help >
Expand All
Collapse All
Performing Quantity Takeoff

Use the takeoff tools in QTO to produce detailed quantity takeoff for material, labor, and other resources. The takeoff tools that are available to you depend on the types of files you use. Takeoff methods include manual tools, which you use to create takeoff by tracing object geometry, and automatic tools, which can use a model’s object tree or the properties in a sheet or model to create takeoff.

Topics in this section

  • Understanding Takeoff Methods
  • About Dimension Mapping
  • Specifying Sheet Scale and Units
  • Using Automatic Takeoff Tools
  • Using Manual Takeoff Tools
  • Using Palette Commands to Create Takeoff
  • Modifying Item Properties
  • Modifying Object Properties
  • Adding Cost Data
  • Adding a Takeoff Legend to a Sheet


Understanding Takeoff Methods

Performing Quantity Takeoff
Performing Quantity Takeoff
About Dimension Mapping
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff >
Expand All
Collapse All
Understanding Takeoff Methods

QTO provides a comprehensive set of takeoff tools for use with 3D DWF models, 2D DWF sheets, DWG sheets, PDF files, and image files (TIFs, GIFs, and JPGs). The type of document you select on the Documents palette determines the automatic and manual takeoff tools that are available.

NoteManual takeoff is sometimes called on-screen takeoff.
Document Type | Automatic Takeoff Options | Manual Takeoff Options
3D DWF model All tools are available:
  • Model Takeoff
  • Search Takeoff
  • Single-Click Auto Takeoff
None are available
2D DWF sheet These tools are available:
  • Search Takeoff
  • Single-Click Auto Takeoff
All tools are available
DWG sheet (from DWG TrueView™) | None are available | All tools are available
PDF file | None are available | All tools are available, except Single-Click Linear Takeoff
Image file (TIF, GIF, JPG) | None are available | All tools are available, except Single-Click Linear Takeoff

Automatic Takeoff Tools

Use automatic takeoff tools with 3D DWF models and 2D DWF sheets. These tools use the design data embedded in the DWF files by publishing applications to create takeoff data. These tools are:

  • Model Takeoff. This tool, which can be used only with 3D DWF files, extracts the object tree from the model and adds it to the Takeoff palette. The items that are created by the Model Takeoff tool are placed in a takeoff group whose name is based on the model name. Quantities are generated for an item when both its Type and at least one dimension are defined. For more information, see Using the Model Takeoff Tool.
    NoteWith DWF files published from 2010 or later releases of supported AutoCAD-based and Revit-based design applications, you can perform a model takeoff using only a 3D model. DWF files published from earlier releases of these applications require the use of both a 3D model and the supporting 2D sheet set.
  • Search Takeoff. This tool, which can be used with 3D models and 2D sheets, creates takeoff data for multiple items based on search criteria you define. Using the tool, you select a piece of geometry on a sheet and specify search criteria based on the object’s design data. The software finds all objects in the project that match the search criteria. The geometry and properties for the objects are loaded into the Takeoff palette item. For more information, see Using the Search Takeoff Tool.
  • Single-Click Auto Takeoff. This tool, which can be used with 3D models and 2D sheets, lets you create a takeoff measurement with a single click on a piece of geometry. For more information, see Using the Single-Click Auto Takeoff Tool.

Manual Takeoff Tools

Manual takeoff tools can be used with 2D DWF sheets and non-DWF files, such as PDF and TIF files. They measure drawing geometry to create takeoff data. These tools are:

  • Linear Takeoff. This group of tools lets you record linear measurements by tracing lines on a floor plan. Using the Single-Click Linear Takeoff tool, you can create a linear measurement by clicking on a line. For more information, see Using a Linear Takeoff Tool.
  • Area Takeoff. This group of tools lets you record area measurements by tracing geometry on a floor plan. For more information, see Using an Area Takeoff Tool.
  • Count Takeoff. Use this tool to tally and record occurrences of objects, such as windows and doors, that you want to quantify on a floor plan. For more information, see Using the Count Takeoff Tool.
  • Backout Takeoff. This group of tools lets you refine takeoff data by subtracting from previously recorded counts or measurements. For more information, see Using a Backout Takeoff Tool.


About Dimension Mapping

Understanding Takeoff Methods
Performing Quantity Takeoff
Specifying Sheet Scale and Units
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff >
Expand All
Collapse All
About Dimension Mapping

Understanding how dimension mapping works for manual and automatic objects can help you get the most from your takeoff data. By properly defining item types and dimensions, you can even combine manual and automatic takeoff objects in catalog items to generate comprehensive takeoff data.

QTO generates quantities for automatic objects by extracting their embedded design data and mapping it to dimensions in the catalog. For manual objects, quantities are based on physical measurements of drawing geometry; dimensions are not mapped in the catalog.

For automatic objects, the item type defines the primary dimension for the object. For manual objects, the item type serves two purposes: it defines the primary dimensions to be measured by manual takeoff tools, and it exposes a set of user-definable dimension fields that you can use to generate secondary quantities from a single takeoff measurement. For example, when you select the Area item type in the Takeoff Item Properties dialog, the Thickness field displays. If you specify a value for Thickness, when you use an area takeoff tool to trace an object on a sheet, QTO calculates both the object’s area and its volume (by multiplying the area measurement by the Thickness value you specified). Similarly, when you define an item as Linear, you can then specify Height and Thickness values, from which QTO can calculate area and volume quantities for a linear takeoff object.

By defining all required dimensions, you can generate approximate quantities of manual objects:

For this item type: | Define these dimensions: | To yield these quantities:
Linear | Height | Area
Linear | Height and Thickness | Volume
Area | Thickness | Volume
Count | Height and Length | Area
Count | Height, Length, and Thickness | Volume

The item type also determines the values for the cost quantities on the Cost Data tab. Quantity 1 is the primary cost quantity; Quantity 2 is the secondary cost quantity.

The Quantity 1 value is determined by the item type and cannot be edited. Quantity 2 has no default value; its available values are derived from the item type:

For this item type: | Quantity 1 is: | Quantity 2 can be:
Linear | Length | Length, Area, or Volume
Area | Area | Area or Volume
Count | Count | Count, Area, or Volume


Specifying Sheet Scale and Units

About Dimension Mapping
Performing Quantity Takeoff
Selecting a Predefined Scale
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff >
Expand All
Collapse All
Specifying Sheet Scale and Units

DWF files have a scale that is set when the file is published. That scale is reflected in the measurements that are calculated and displayed in QTO. You cannot change the scale of a drawing when the scale is set by the authoring application.

For PDF files and image files (TIFs, GIFs, and JPGs), you must specify the sheet scale before you can use manual takeoff tools for linear or area measurements. Without a sheet scale, only the Count Takeoff tool is available. You can select a predefined scale, if known, or set the precision manually by plotting points in a drawing.

For both DWF and non-DWF files, you can specify drawing units at the sheet level. Display units, which are the units shown in takeoff measurements on a drawing, are set at the project level. For more information, see Changing Project Settings.

Topics in this section

  • Selecting a Predefined Scale
  • Specifying Scale Manually
  • Specifying Drawing Units


Selecting a Predefined Scale

Specifying Sheet Scale and Units
Specifying Sheet Scale and Units
Specifying Scale Manually
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Specifying Sheet Scale and Units >
Expand All
Collapse All
Selecting a Predefined Scale

Before you can use linear and area takeoff tools on PDF files and image files, you must set the sheet scale. Use this procedure to select a predefined sheet scale if you know the scale of the drawing. Otherwise, you must set the scale manually.

  1. On the Documents palette, select a PDF or image file.
  2. Click Document menu [image] Units and Scale.

    You can also select the drawing, right-click, and click Properties to open the Document Properties dialog.

  3. On the Units and Scale tab of the Document Properties dialog, for Scale Style, select either Architectural or Engineering.
  4. For Sheet Scale, select an appropriate scale.
  5. Click OK.


Specifying Scale Manually

Selecting a Predefined Scale
Specifying Sheet Scale and Units
Specifying Drawing Units
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Specifying Sheet Scale and Units >
Expand All
Collapse All
Specifying Scale Manually

Before you can use linear and area takeoff tools on PDF files and image files, you must set the sheet scale. If you know the scale of the drawing, you can select a predefined scale. Otherwise, use this procedure to set the scale manually by plotting points in a drawing. Specifying the scale calibrates the manual takeoff tools in QTO to resolve distortions in scanned image files.

  1. On the Documents palette, select a PDF or image file.
  2. Click Document menu [image] Units and Scale.

    You can also select the drawing, right-click, and click Properties to open the Document Properties dialog.

  3. On the Units and Scale tab of the Document Properties dialog:
    • For Drawing Units, select a unit.
    • To make this drawing unit the default for the project, select Apply to all sheets in this project.
    • Click Set scale by plotting points.
  4. In the Set Scale by Plotting Points dialog, for Baseline Segment Length, enter the known dimension of an object (for example, the known width of a window).

  5. On the canvas, trace the width of the object as the baseline segment.
    TipTo draw a line that is perfectly horizontal or vertical, press and hold SHIFT while drawing.

    QTO records the measured length of the segment, and calculates the scale of the drawing. If you change the length or unit of measure of the baseline segment, the scale calculation updates dynamically.

  6. Click OK.

    In the Document Properties dialog, the calculated scale displays under Custom Scale. If you do not plot an exact fraction, such as 1/8 or 1/2, QTO uses an engineering scale based on decimals. The scale is rounded to 5 decimal places.

  7. Click OK.


Specifying Drawing Units

Specifying Scale Manually
Specifying Sheet Scale and Units
Using Automatic Takeoff Tools
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Specifying Sheet Scale and Units >
Expand All
Collapse All
Specifying Drawing Units

A drawing has both drawing units and display units. Drawing units are specified at the sheet level, as explained in this section. Display units, which are the units displayed in takeoff measurements on drawings, are specified at the project level. For more information, see Changing Project Units.

Drawing units are the units of measurement for a sheet. The value you specify for drawing units is based on paper size. Typical values are inches, centimeters, and millimeters. For example, an 8-inch by 10-inch drawing uses inches for drawing units. For scanned drawings, the drawing units are determined by the size of the original sheet. The ratio of paper size to real-world units represents the scale of the drawing. For example, a one-inch object on a sheet with a scale of 1"=100' represents a real-world object that is 100 feet long. When you specify drawing units for a sheet, you can apply the units to all sheets in the project.

To specify drawing units:

  1. On the Documents palette, select a drawing.
  2. Click Document menu [image] Units and Scale.

    You can also select the drawing, right-click, and click Properties to open the Document Properties dialog.

  3. On the Units and Scale tab of the Document Properties dialog, for Drawing Units, select a unit of measure.
  4. If you want the drawing unit applied to the entire project, select Apply to all sheets in this project.

  5. Click OK.


Using Automatic Takeoff Tools

Specifying Drawing Units
Performing Quantity Takeoff
Using the Model Takeoff Tool
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff >
Expand All
Collapse All
Using Automatic Takeoff Tools

Use automatic takeoff tools to create takeoff for objects in 3D models and 2D sheets. Automatic takeoff tools use the design data from the publishing application to create takeoff, rather than measuring drawing geometry as manual takeoff tools do.

Topics in this section

  • Using the Model Takeoff Tool
  • Using the Search Takeoff Tool
  • Using the Single-Click Auto Takeoff Tool


Using the Model Takeoff Tool

Using Automatic Takeoff Tools
Using Automatic Takeoff Tools
Using the Search Takeoff Tool
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Automatic Takeoff Tools >
Expand All
Collapse All
Using the Model Takeoff Tool

Using the Model Takeoff tool, you can use the object tree from a 3D model to create valid takeoff for a project. When you perform a model takeoff, QTO recognizes the objects in the model and places them in a group on the Takeoff palette, with a group name derived from the name of the model. The first time you use this tool, all items in the group have Undefined as their item type. When you define the item types, you create valid takeoff for those items and objects, and your selections are used to predictively assign item types during subsequent uses of the tool.

TipYou can specify whether last-used item types are used for subsequent model takeoffs. For more information, see Specifying Preferences.

You can perform model takeoffs on multiple models in a project. If the project contains matching 2D sheets, these sheets are marked up and cross-referenced.

To perform a model takeoff:

  1. On the Documents palette, select a 3D model.
    NoteWith DWF files published from 2010 or later releases of supported AutoCAD-based and Revit-based design applications, you can perform a model takeoff using only a 3D model. DWF files published from earlier releases of these applications require the use of both a 3D model and the supporting 2D sheet set.
  2. On the toolbar, click [image] (Model Takeoff).
  3. Click the model on the canvas to start the takeoff.

    You can also perform a model takeoff by clicking Takeoff menu [image] Model to start the takeoff immediately.

  4. When a dialog prompts you that the takeoff is complete, you can select Do not display again.
  5. Click Close.

  6. Open the Takeoff palette, and view the items in the takeoff group whose name is derived from the model.
    NoteIf you have already run a model takeoff for the selected model, a numerical suffix is added to the name of the new group to prevent duplicate names. For example, the second model takeoff for QTO_Dormitory.rvt would be named QTO_Dormitory.rvt_2.

  7. On the Takeoff palette, if the Type value for any item is Undefined, select the appropriate value for the item. Items that have defined item types are displayed in the Workbook.

    Type refers to the manner in which takeoff is calculated for that item. For example, the item type for carpet is Area. For more information, see About Item Type.

    The Model Takeoff tool uses the settings on the Item Type tab of the Preferences dialog to determine the default item types, based on previous choices. For more information, see Specifying Preferences.

  8. If the primary dimension for any item is Undefined or *VARIES*, select an appropriate property to quantify the item and its objects. For more information, see Mapping Undefined Objects.

Model Takeoffs on Civil 3D Models

When you run a model takeoff on a Civil 3D 2010 or later model with an imported pay item catalog, QTO automatically assigns the pay items to corresponding catalog items, and quantities display immediately. If any pay items remain unassigned, use the Assign command or the Takeoff to Item command to quantify the items. For more information, see Using Palette Commands to Create Takeoff.

Formulas are not included in the automatic assignment process. They must be added manually. Formulas associated with pay items are displayed on the Catalog Data tab of the Takeoff Item Properties dialog, under the name PayItemFormula. Formulas associated with objects are displayed in the properties of the object, both on the Properties palette and on the Properties tab of the Takeoff Object Properties dialog. For information about entering formulas, see Entering Formulas in the Workbook.


Using the Search Takeoff Tool

Using the Model Takeoff Tool
Using Automatic Takeoff Tools
Using the Single-Click Auto Takeoff Tool
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Automatic Takeoff Tools >
Expand All
Collapse All
Using the Search Takeoff Tool

Using the Search Takeoff tool, you can create takeoff using design data as search criteria. Object dimensions, family names, types, and other property data make it easy to quantify similar objects. For example, you can create takeoff objects for all rooms in a project that have a specific Room Type property. Search Takeoff is performed on the entire project.

When you select a piece of geometry on a sheet or model using the Search Takeoff tool, its properties are displayed in the Search dialog. You then select one or more properties to use as search criteria, and the Search Takeoff function queries the project and records all matching objects both on the Takeoff palette and in the Workbook. Select an item on the Takeoff palette prior to starting a search takeoff to have the results added to that item and named based on the item's family or style.

NoteIn some cases, design objects are missing key identifiers (IDs) in the DWF files that are published from design applications. The Search Takeoff tool cannot create takeoff for design items that are missing IDs.

To perform a search takeoff:

  1. On the Documents palette, select a DWF sheet or model.
  2. To add the takeoff objects to a group or item, select the group or item on the Takeoff palette. If no group or item is selected, the objects will be added to the root of the Takeoff palette.
  3. On the toolbar, click [image] (Search Takeoff).
  4. On the canvas, select the object you want to search for in the project.

    You can also perform a search takeoff by clicking Takeoff menu [image] Search, after you select an object on the canvas.

  5. In the Search Takeoff dialog:
    • For Name, the item name from the model is displayed. If you selected an item on the Takeoff palette before clicking Search Takeoff, the name cannot be modified. If you selected a group or no entity on the Takeoff palette, you may modify the name.
    • For Item Type, if you selected an item on the Takeoff palette before clicking Search Takeoff, the Item Type value cannot be modified. If you selected a group or no entity on the Takeoff palette, select an item type for this takeoff, or select Undefined if you want to specify the item type later.
    • For Destination, the default value shows the location where the takeoff objects will be created. This value is either the path of the item or group you selected, or the root of the Takeoff palette (\) if you did not select an entity. To specify a different destination, click Browse, navigate to the target location, and click Select.
    • Under Property, select the properties to use as search criteria.

  6. Click Search.

    The objects are added to the Takeoff palette and the Workbook.


Using the Single-Click Auto Takeoff Tool

Using the Search Takeoff Tool
Using Automatic Takeoff Tools
Using Manual Takeoff Tools
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Automatic Takeoff Tools >
Expand All
Collapse All
Using the Single-Click Auto Takeoff Tool

Using the Single-Click Auto Takeoff tool, you can create a takeoff measurement with a single click on a piece of geometry in a 3D model or 2D sheet.

By default, the takeoff data you create with the Single-Click Auto Takeoff tool is grouped according to the family (or style) defined in the object’s properties. However, on the Contextual Tools palette, you have the option of grouping the takeoff data by selection instead. When you group by selection, the takeoff is added to the group or item that is selected on the Takeoff palette. If you add the takeoff to an item, the object(s) display below the item, using the name from the object properties. If you add the takeoff to a group, an Auto item is created within the group, and the object(s) are added to that item. The grouping option you select becomes the default selection.

To perform a single-click auto takeoff:

  1. If the Contextual Tools palette is not displayed, click Window menu [image] Contextual Tools.

    This palette contains options for grouping the takeoff data you create with the Single-Click Auto Takeoff tool.

  2. On the Documents palette, select a DWF sheet or model.
  3. On the toolbar, click [image] (Single-Click Auto Takeoff).
  4. On the Contextual Tools palette, select one of the grouping options.
    • Family. The takeoff data will be added to the group that matches the family (or style) of the object.
    • Selection. The takeoff data will be added to the group that is currently selected on the Takeoff palette.
  5. If you are grouping by Selection, on the Takeoff palette, select the corresponding takeoff item.
  6. On the canvas, select the object you want to measure.

    The geometry is marked up on the canvas, and the takeoff data is added to the Takeoff palette, based on your grouping option.

  7. On the Takeoff palette, if the Type value for the object is Undefined, select the appropriate value for the item that contains the object.

    Type refers to the manner in which takeoff is calculated for that item. For example, the item type for carpet is Area. For more information, see About Item Type.

    NoteThe first time you use this tool to group by family, all items in the group have Undefined as their item type. When you define the item types, you create valid takeoff for those items and objects, and your selections are used to predictively assign item types during subsequent uses of the tool. You can specify whether last-used item types are used for subsequent automatic takeoffs. For more information, see Specifying Preferences.


Using Manual Takeoff Tools

Using the Single-Click Auto Takeoff Tool
Performing Quantity Takeoff
Using the Count Takeoff Tool
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff >
Expand All
Collapse All
Using Manual Takeoff Tools

Use manual takeoff tools to create takeoff measurements and counts for objects on 2D DWF sheets and non-DWF sheets, such as PDF and TIF files. Manual takeoff tools measure drawing geometry, rather than using published design data as automatic takeoff tools do. This takeoff method is sometimes called on-screen takeoff.

All sheets require a scale in order for takeoff tools to be used. DWF files contain a scale that is set when the file is published. For PDFs, TIFs, and other image files, you must specify the sheet scale before you can use manual takeoff tools for linear or area measurements. Without a sheet scale, only the Count Takeoff tool is available. For more information, see Specifying Sheet Scale and Units.

With the Count Takeoff tool, you mark instances of a particular object on a floor plan, and the software keeps a running total while it creates takeoff for the objects. With the Linear, Area, and Backout tools, you trace drawing geometry to create takeoff measurements. For example, when using a polyline takeoff tool (either Polyline Linear Takeoff, Polyline Area Takeoff, or Polyline Backout), you can use multiple line segments, arcs, or a combination of line and arc segments to measure simple or complex geometry, as described in this section.

Topics in this section

  • Using the Count Takeoff Tool
  • Using a Linear Takeoff Tool
  • Using an Area Takeoff Tool
  • Using a Backout Takeoff Tool


Using the Count Takeoff Tool

Using Manual Takeoff Tools
Using Manual Takeoff Tools
Using a Linear Takeoff Tool
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Manual Takeoff Tools >
Expand All
Collapse All
Using the Count Takeoff Tool

The Count Takeoff tool tallies the occurrences of a particular object on a DWF or non-DWF floor plan and creates takeoff for each occurrence of the object. Use this tool to create takeoff for objects, such as windows and doors, that have a Count item type. If you select a non-Count item, a message displays to notify you of the mismatch between the tool and item type, and any takeoff objects you create are placed in a Count item at the root of the Takeoff palette. For more information about available item types and their importance in creating valid takeoff, see About Item Type.

To perform a count takeoff:

  1. Open the floor plan that contains the objects you want to count, and zoom in if necessary.
    TipTo make it easier to select objects, turn off the visibility of any existing takeoff markup using the Show/Hide functionality on the Takeoff palette.
  2. On the Takeoff palette, select the corresponding Count takeoff item.
  3. On the toolbar, click [image] (Count Takeoff).
  4. On the Contextual Tools palette, modify the color, opacity, count symbol, and symbol size, as needed.

    The Color and Opacity values you specify are applied both to the color block on the Takeoff palette and the count symbol that is added to the canvas.

  5. On the canvas, select each object to include in the takeoff item.

    Each time you select an object, a count symbol is placed on the sheet, and a takeoff object is recorded both on the Takeoff palette and in the Workbook.

    NoteIf the item you selected on the Takeoff palette does not have a Count item type, a message displays when you select the first object on the floor plan. In the message box, click OK. The Count takeoff object cannot be added to the non-Count item you selected; therefore, QTO adds the object to a Count item at the root of the Takeoff palette. You can continue selecting objects on the floor plan, and they will be added to the newly created Count item. On the Takeoff palette, this item is listed in the Description column as Count. Either rename the item and define its properties as needed, or drag the objects to the appropriate item and delete the empty Count item.
  6. On the floor plan, you can continue selecting objects to count for the currently selected item, or you can select another item and create count takeoff for it.

    The new takeoff objects inherit the item type and name of the selected item. As the objects are created, a numerical suffix is added to prevent duplicate names. For example, if the first takeoff object is named Pedestal Sink, the subsequent takeoff objects are named Pedestal Sink_2, Pedestal Sink_3, and so on.

  7. To rename takeoff objects for easier identification, do one of the following:
    • On the Takeoff palette, select an object, and then click the Description value to enter editing mode. Enter a new name, and press ENTER.
    • On the Takeoff palette, double-click a takeoff object. In the Takeoff Object Properties dialog, enter a descriptive name for the object, and click OK.


Using a Linear Takeoff Tool

Using the Count Takeoff Tool
Using Manual Takeoff Tools
Using the Single-Click Linear Takeoff Tool
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Manual Takeoff Tools >
Expand All
Collapse All
Using a Linear Takeoff Tool

QTO provides you with several linear takeoff tools, all of which create linear measurements from line geometry on a floor plan. Use these tools to create takeoff for items, such as handrails, that have a Linear item type. If you select a non-Linear item, a message displays to notify you of the mismatch between the tool and item type, and any takeoff objects you create are placed in a Linear item at the root of the Takeoff palette. For more information about available item types and their importance in creating valid takeoff, see About Item Type.

QTO includes these linear takeoff tools:

  • Single-Click Linear Takeoff tool: Create a linear measurement by clicking on a line.
  • Polyline, Rectangle, and Ellipse Linear Takeoff tools: Record linear measurements by tracing lines on a floor plan.

Topics in this section

  • Using the Single-Click Linear Takeoff Tool
  • Using Linear Takeoff Tools to Trace Geometry


Using the Single-Click Linear Takeoff Tool

Using a Linear Takeoff Tool
Using a Linear Takeoff Tool
Using Linear Takeoff Tools to Trace Geometry
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Manual Takeoff Tools > Using a Linear Takeoff Tool >
Expand All
Collapse All
Using the Single-Click Linear Takeoff Tool

You can use the Single-Click Linear Takeoff tool on DWF and DWG files, but not on PDF and image files.

  1. Open the floor plan that contains the linear objects you want to measure, and zoom in if necessary.
    TipTo make it easier to select objects, turn off the visibility of any existing takeoff markup using the Show/Hide functionality on the Takeoff palette.
  2. On the Takeoff palette, select the corresponding Linear takeoff item.
  3. On the toolbar, click [image] (Single-Click Linear Takeoff).
  4. On the Contextual Tools palette, modify the Color and Opacity values, if desired.

    The values you specify are applied to both the color block on the Takeoff palette and the takeoff markup that is added to the canvas.

  5. On the canvas, select each object to include in the takeoff item.

    Each time you select an object, a takeoff object is recorded both in the Takeoff palette and in the Workbook. In the summary view of the Workbook, the total length of the takeoff objects displays in the Quantity 1 column for the item. In the detail view of the Workbook, the Length column displays the length of each object below the item total.

    NoteIf the item you selected on the Takeoff palette does not have a Linear item type, a message displays when you select the first object on the floor plan. In the message box, click OK. The Linear takeoff object cannot be added to the non-Linear item you selected; therefore, QTO adds the object to a Linear item at the root of the Takeoff palette. You can continue selecting objects on the floor plan, and they will be added to the newly created Linear item. On the Takeoff palette, this item is listed in the Description column as Linear. Either rename the item and define its properties as needed, or drag the objects to the appropriate item and delete the empty Linear item.
  6. On the floor plan, you can continue selecting linear objects to measure for the currently selected item, or you can select another item and create linear takeoff for it.

    The new takeoff objects inherit the item type and name of the selected item. As the objects are created, a numerical suffix is added to prevent duplicate names. For example, if the first takeoff object is named Basic Wall, the subsequent takeoff objects are named Basic Wall_2, Basic Wall_3, and so on.

  7. To rename takeoff objects for easier identification, do one of the following:
    • On the Takeoff palette, select an object, and then click the Description value to enter editing mode. Enter a new name, and press ENTER.
    • On the Takeoff palette, double-click a takeoff object. In the Takeoff Object Properties dialog, enter a descriptive name for the object, and click OK.


Using Linear Takeoff Tools to Trace Geometry

Using the Single-Click Linear Takeoff Tool
Using a Linear Takeoff Tool
Using an Area Takeoff Tool
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Manual Takeoff Tools > Using a Linear Takeoff Tool >
Expand All
Collapse All
Using Linear Takeoff Tools to Trace Geometry

For PDFs and image files, such as TIFs, you must specify the sheet scale before you can use linear takeoff tools to trace drawing geometry. For more information, see Specifying Sheet Scale and Units.

  1. Open the floor plan that contains the linear objects you want to measure, and zoom in if necessary.
    TipTo make it easier to trace objects, turn off the visibility of any existing takeoff markup using the Show/Hide functionality on the Takeoff palette.
  2. On the Takeoff palette, select the corresponding Linear takeoff item.
  3. On the toolbar, click the linear takeoff tool that is appropriate for the geometry you need to trace:
    • Polyline Linear Takeoff Tool (for lines and arcs)
    • Rectangle Linear Takeoff Tool
    • Ellipse Linear Takeoff Tool
  4. On the Contextual Tools palette, modify the tool options, if desired:
    Tool: Option: Description:
    Polyline Linear | Line segment
    Polyline Linear | Arc segment
    Polyline Linear or Rectangle Linear | Joined segments. Records a single measurement for a series of continuously drawn segments.
    Polyline Linear or Rectangle Linear | Unjoined segments. Records individual measurements for a series of continuously drawn segments.
    All Linear tools | Color | Controls the color of the color block on the Takeoff palette and the takeoff markup on the canvas.
    All Linear tools | Opacity | Controls the depth of color applied to the color block and markup for the item.
  5. If turning off Snaps would make it easier to trace geometry, click Takeoff menu [image] Snap to Point.
    TipTo pan the drawing when you are in the process of tracing geometry: Press and hold the SPACEBAR to switch the takeoff tool to Pan mode, and pan the drawing until the geometry you need is in view. Release the SPACEBAR to return the takeoff tool to its original state, and complete the takeoff measurement.
  6. On the canvas, trace the linear object:
    • Polyline tool. Draw line segments, arc segments, or a combination of line and arc segments. You can switch between line and arc mode while drawing a continuous polyline.
      Option: How to use:
      Line segment Click to specify the start point and end point of a single line segment, or click to define each segment of a continuous, jagged line. Right-click to end the command.
      TipTo draw a line that is perfectly horizontal or vertical, press and hold SHIFT while drawing.
      TipAfter drawing a line, you can add and remove points: While pressing CTRL, click on the line to add a new point, or click on a point to remove it. For example, if you draw a square using 4 continuous line segments, each vertex of the square has a point that you can select. If you remove a point, the square becomes a right triangle. Conversely, if you draw a right triangle, you can add a point at the midpoint of the hypotenuse, and then use the Select tool to reposition the new point to create a square, rhombus, or chevron.
      Arc segment The direction of the arc is determined by the first 2 points you specify.
      TipTo draw the opposite arc, press O (for Opposite), and continue specifying points. To switch back to the original direction of the arc, press O again.
      • To create a 2-point, 90-degree arc, click to specify the start point and end point, and then right-click to end the command.

      • To create a 3-point arc of any angle, click to specify the start point, midpoint, and end point, and then right-click to end the command.

      • To create a circle arc, press and hold SHIFT while specifying at least 2 points of the arc.

    • Rectangle tool. Click to specify the start point, move the cursor to the opposite corner of the rectangle, and click to specify the end point.
    • Ellipse tool. Click to specify the start point, move the cursor to the opposite extent of the ellipse, and click to specify the end point.

    Each time you create an object, the takeoff object is recorded both in the Takeoff palette and in the Workbook. In the summary view of the Workbook, the total length of the takeoff objects displays in the Quantity 1 column for the item. In the detail view of the Workbook, the Length column displays the length of each object below the item total.

    NoteIf the item you selected on the Takeoff palette does not have a Linear item type, a message displays when you select the first object on the floor plan. In the message box, click OK. The Linear takeoff object cannot be added to the non-Linear item you selected; therefore, QTO adds the object to a Linear item at the root of the Takeoff palette. You can continue selecting objects on the floor plan, and they will be added to the newly created Linear item. On the Takeoff palette, this item is listed in the Description column as Linear. Either rename the item and define its properties as needed, or drag the objects to the appropriate item and delete the empty Linear item.
  7. On the floor plan, you can continue selecting linear objects to measure for the currently selected item, or you can select another item and create linear takeoff for it.

    The new takeoff objects inherit the item type and name of the selected item. As the objects are created, a numerical suffix is added to prevent duplicate names. For example, if the first takeoff object is named Curved Wall, the subsequent takeoff objects are named Curved Wall_2, Curved Wall_3, and so on.

  8. To rename takeoff objects for easier identification, do one of the following:
    • On the Takeoff palette, select an object, and then click the Description value to enter editing mode. Enter a new name, and press ENTER.
    • On the Takeoff palette, double-click a takeoff object. In the Takeoff Object Properties dialog, enter a descriptive name for the object, and click OK.


Using an Area Takeoff Tool

Using Linear Takeoff Tools to Trace Geometry
Using Manual Takeoff Tools
Using a Backout Takeoff Tool
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Manual Takeoff Tools >
Expand All
Collapse All
Using an Area Takeoff Tool

QTO provides you with several area takeoff tools, all of which create area measurements from geometry on a floor plan. Use these tools to create takeoff for items, such as rooms and flooring, that have an Area item type. If you select a non-Area item, a message displays to notify you of the mismatch between the tool and item type, and any takeoff objects you create are placed in an Area item at the root of the Takeoff palette. For more information about available item types and their importance in creating valid takeoff, see About Item Type.

For PDFs and image files, such as TIFs, you must specify the sheet scale before you can use area takeoff tools to trace drawing geometry. For more information, see Specifying Sheet Scale and Units.

To use an area takeoff tool:

  1. Open the floor plan that contains the area objects you want to measure, and zoom in if necessary.
    TipTo make it easier to trace objects, turn off the visibility of any existing takeoff markup using the Show/Hide functionality on the Takeoff palette.
  2. On the Takeoff palette, select the corresponding Area takeoff item.
  3. On the toolbar, click the area takeoff tool that is appropriate for the geometry you need to trace:
    • Polyline Area Takeoff Tool
    • Rectangle Area Takeoff Tool
    • Ellipse Area Takeoff Tool
  4. On the Contextual Tools palette, modify the tool options, if desired:
    Tool: Option: Description:
    Polyline Area | Line segment
    Polyline Area | Arc segment
    All Area tools | Color | Controls the color of the color block on the Takeoff palette and the takeoff markup on the canvas.
    All Area tools | Opacity | Controls the depth of color applied to the color block and markup for the item.
    All Area tools | Hatch | Controls the fill pattern applied to the area on the canvas.
    All Area tools | Angle | Controls the rotation applied to the hatch pattern, from 0 to 360 degrees.
    All Area tools | Scale | Controls the size of the hatch pattern; for example, changing the Scale factor to 200% doubles the spacing between lines or dots in the hatch pattern.
  5. If turning off Snaps would make it easier to trace geometry, click Takeoff menu [image] Snap to Point.
    TipTo pan the drawing when you are in the process of tracing geometry: Press and hold the SPACEBAR to switch the takeoff tool to Pan mode, and pan the drawing until the geometry you need is in view. Release the SPACEBAR to return the takeoff tool to its original state, and complete the takeoff measurement.
  6. On the canvas, trace the area object:
    • Polyline tool. Draw line segments, arc segments, or a combination of line and arc segments. You can switch between line and arc mode while drawing a continuous polyline.
      Option: How to use:
      Line segment Click to specify the start point and end point of each line segment that comprises an irregular-shaped area. Right-click to end the command.
      TipTo draw a line that is perfectly horizontal or vertical, press and hold SHIFT while drawing.
      TipAfter drawing a line, you can add and remove points: While pressing CTRL, click on the line to add a new point, or click on a point to remove it. For example, if you draw a square using 4 continuous line segments, each vertex of the square has a point that you can select. If you remove a point, the square becomes a right triangle. Conversely, if you draw a right triangle, you can add a point at the midpoint of the hypotenuse, and then use the Select tool to reposition the new point to create a square, rhombus, or chevron.
      Arc segment The direction of the arc is determined by the first 2 points you specify.
      TipTo draw the opposite arc, press O (for Opposite), and continue specifying points. To switch back to the original direction of the arc, press O again.
      • To create a 2-point, 90-degree arc, click to specify the start point and end point, and then right-click to end the command.

      • To create a 3-point arc of any angle, click to specify the start point, midpoint, and end point, and then right-click to end the command.

      • To create a circle arc, press and hold SHIFT while specifying at least 2 points of the arc.

    • Rectangle tool. Click to specify the start point, move the cursor to the opposite corner of the rectangle, and click to specify the end point.
    • Ellipse tool. Click to specify the start point, move the cursor to the opposite extent of the ellipse, and click to specify the end point.

    Each time you create an object, the takeoff object is recorded both in the Takeoff palette and in the Workbook. In the summary view of the Workbook, the total area of the takeoff objects displays in the Quantity 1 column for the item. In the detail view of the Workbook, the Area column displays the area of each object below the item total.

    NoteIf the item you selected on the Takeoff palette does not have an Area item type, a message displays when you select the first object on the floor plan. In the message box, click OK. The Area takeoff object cannot be added to the non-Area item you selected; therefore, QTO adds the object to an Area item at the root of the Takeoff palette. You can continue selecting objects on the floor plan, and they will be added to the newly created Area item. On the Takeoff palette, this item is listed in the Description column as Area. Either rename the item and define its properties as needed, or drag the objects to the appropriate item and delete the empty Area item.
  7. On the floor plan, you can continue selecting area objects to measure for the currently selected item, or you can select another item and create area takeoff for it.

    The new takeoff objects inherit the item type and name of the selected item. As the objects are created, a numerical suffix is added to prevent duplicate names. For example, if the first takeoff object is named Concrete Floor, the subsequent takeoff objects are named Concrete Floor_2, Concrete Floor_3, and so on.

  8. To rename takeoff objects for easier identification, do one of the following:
    • On the Takeoff palette, select an object, and then click the Description value to enter editing mode. Enter a new name, and press ENTER.
    • On the Takeoff palette, double-click a takeoff object. In the Takeoff Object Properties dialog, enter a descriptive name for the object, and click OK.


Using a Backout Takeoff Tool

Using an Area Takeoff Tool
Using Manual Takeoff Tools
Using Palette Commands to Create Takeoff
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Manual Takeoff Tools >
Expand All
Collapse All
Using a Backout Takeoff Tool

Use the backout tools in QTO to refine takeoff data by subtracting from a previously calculated measurement or count. For example, after using a linear takeoff tool to calculate the length of a wall, you could use a backout tool to trace a door opening in the wall, which would subtract the opening from the wall measurement.

TipAs an alternative to using a backout tool, you can use grips to manipulate the shape of a takeoff area, adding or removing points along the takeoff boundary as needed. While pressing CTRL, click on a line to add a new point, or click on a point to remove it. Then, click the Select tool, and use the grips to manipulate the takeoff area shape.

To use a backout takeoff tool:

  1. Open the floor plan that contains the object you want to measure, and zoom in if necessary.
    TipTo make it easier to trace objects, turn off the visibility of any existing takeoff markup using the Show/Hide functionality on the Takeoff palette.
  2. If the backout you create will cut an object into 2 or more pieces (such as subtracting a door opening from a wall measurement), on the Takeoff palette, select the object to modify.
  3. On the toolbar, click the backout takeoff tool that is appropriate for the subtraction you want to make:
    • Polyline Backout Takeoff Tool
    • Rectangle Backout Takeoff Tool
    • Ellipse Backout Takeoff Tool
    • Count Backout Takeoff Tool
  4. If turning off Snaps would make it easier to trace geometry, click Takeoff menu [image] Snap to Point.
    TipTo pan the drawing when you are in the process of tracing geometry: Press and hold the SPACEBAR to switch the takeoff tool to Pan mode, and pan the drawing until the geometry you need is in view. Release the SPACEBAR to return the takeoff tool to its original state, and complete the takeoff measurement.
  5. On the canvas, trace backout geometry, or select a count symbol:
    • Polyline tool. Draw line segments, arc segments, or a combination of line and arc segments. You can switch between line and arc mode while drawing a continuous polyline.
      Option: How to use:
      Line segment Click to specify the start point and end point of each line segment that comprises an irregular-shaped area. Right-click to end the command.
      TipTo draw a line that is perfectly horizontal or vertical, press and hold SHIFT while drawing.
      Arc segment The direction of the arc is determined by the first 2 points you specify.
      TipTo draw the opposite arc, press O (for Opposite), and continue specifying points. To switch back to the original direction of the arc, press O again.
      • To create a 2-point, 90-degree arc, click to specify the start point and end point, and then right-click to end the command.

      • To create a 3-point arc of any angle, click to specify the start point, midpoint, and end point, and then right-click to end the command.

      • To create a circle arc, press and hold SHIFT while specifying at least 2 points of the arc.

    • Rectangle tool. Click to specify the start point, move the cursor to the opposite corner of the rectangle, and click to specify the end point.
    • Ellipse tool. Click to specify the start point, move the cursor to the opposite extent of the ellipse, and click to specify the end point.
    • Count tool. Select the count symbol for an object to subtract the object from the item total.

    When you finish tracing geometry or selecting count symbols, the corresponding measurements or counts are updated on the Takeoff palette and in the Workbook.


Using Palette Commands to Create Takeoff

Using a Backout Takeoff Tool
Performing Quantity Takeoff
Creating Takeoff Using Catalog Assignments
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff >
Expand All
Collapse All
Using Palette Commands to Create Takeoff

Use commands on the Takeoff and Model palettes to streamline the creation of takeoff data:

  • Takeoff Palette. The Assign command creates takeoff by assigning design items from a model takeoff to catalog items. The Create Item From Selection command creates takeoff from selected DWF object properties.
  • Model Palette. The Takeoff and Takeoff to Item commands create takeoff for selected groups, items, and objects.

Topics in this section

  • Creating Takeoff Using Catalog Assignments
  • Creating Takeoff from the Model Palette
  • Creating Takeoff Using Object Properties


Creating Takeoff Using Catalog Assignments

Using Palette Commands to Create Takeoff
Using Palette Commands to Create Takeoff
Modifying Item Assignments
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Palette Commands to Create Takeoff >
Expand All
Collapse All
Creating Takeoff Using Catalog Assignments

When you assign model takeoff items to catalog items, the pairings you create are tracked as assignment preferences, which are applied to future model takeoffs. By assigning model takeoff items to your standard catalog items, over time you can create valid takeoff data just by running model takeoffs. The more assignments you create, the more you streamline the process of creating valid takeoff directly from a 3D DWF file. Each time you run a model takeoff, the Model Takeoff completion message box displays the number of assignments that were applied automatically.

The following rules govern assignments:

  • Assignments can be made for model takeoff items only.
  • Only items imported in catalogs support assignment. If you add items to a catalog after importing it and you want to make assignments to these items, export the modified catalog, and then re-import it.
  • When you make an assignment, the model takeoff item is deleted from the Takeoff palette, and a link icon [image] is displayed in the Assigned column of the catalog item to show that it contains the assigned item. Put the cursor over the link icon to display a tooltip that identifies the assigned item.
  • When you make an assignment, the Workbook is updated accordingly.
  • You can select multiple items and assign them to the same catalog item.
  • Assigned items inherit the item type of the catalog item to which they are assigned.
  • Assignments cannot be duplicated or copied. If you use the Duplicate command or copy/paste an item with an assignment, an alert displays and the newly created item does not inherit the assigned item.
  • Assemblies are not retained when items are assigned. If you assign an item that contains an assembly, an alert displays and the newly created item does not contain the assembly.
  • Assignments are tracked as system preferences and applied to future model takeoffs. View and manage existing assignments on the Assignment tab of the Preferences dialog. For more information, see Modifying Item Assignments.
  • Use the Unassign command to return assigned model takeoff items to their previous state and remove the related assignment preference.
  • Use the Assimilate All Assigned Items command to remove an item assignment yet retain the model takeoff objects in the catalog item. After you have run the Assimilate command, you can duplicate or copy/paste the item, and it behaves like any other catalog item. For more information, see Modifying Item Assignments.

To assign an item:

  1. On the Takeoff palette, verify that the model takeoff items you want to assign and the catalog items to which they will be assigned are unlocked.
  2. Select one or more model takeoff items.
  3. Right-click the items, and click Assign to Item.
  4. In the Assign to Item dialog, navigate to and select the catalog item to which to assign the model takeoff items.
  5. Click Select.

    The model takeoff items you selected are deleted from the Takeoff palette, and a link icon [image] is displayed in the Assigned column for the selected catalog item. Put the cursor over the link icon to display a tooltip that lists the assigned items.

    Item assignments are stored as preferences and applied to future model takeoffs. You can modify item assignments, including deleting unwanted assignment preferences. For more information, see Modifying Item Assignments.

    You can sort the Assigned column and filter the Takeoff palette to show only catalog items that have assignments. For more information, see Sorting and Filtering Takeoff Data.

Topics in this section

  • Modifying Item Assignments


Modifying Item Assignments

Creating Takeoff Using Catalog Assignments
Creating Takeoff Using Catalog Assignments
Creating Takeoff from the Model Palette
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Palette Commands to Create Takeoff > Creating Takeoff Using Catalog Assignments >
Expand All
Collapse All
Modifying Item Assignments

After you assign a model takeoff item to a catalog item, you can modify the item assignment in these ways:

  • Unassign the item to return the model takeoff item to its original state and remove the assignment preference.
  • Keep the item assignment in the current project, but delete the assignment preference so that it will not be applied to future model takeoffs.
  • Assimilate the item to remove the assignment yet retain the model takeoff objects in the catalog item. The objects remain with the catalog item, as if the model takeoff item never existed.

To unassign items:

  1. On the Takeoff palette, select an item with one or more assignments.
  2. Right-click, and click Unassign.
  3. In the Unassign dialog, select the item or items to unassign, and click Select.

    The assignments are removed from the catalog items. The model takeoff items and their nested objects are returned to their original state at the root of the Takeoff palette. The assignment preference is removed from the Assignment tab of the Preferences dialog, which prevents this assignment from being applied to future model takeoffs for any project.

    NoteWhen you use the Unassign command, objects that have been moved or deleted from the assigned item are not included in the restored model takeoff item. The restored item contains only the objects that are found in the assigned item at the time you use the Unassign command.

To remove assignment preferences:

  1. Click Edit menu [image] Preferences.
  2. Click the Assignment tab.
  3. Select one or more assignment preferences, and click [image] (Delete).

The assignment preferences are removed and will not be applied to future model takeoffs. Existing projects that contain these item assignments are not affected. To remove the item assignments from existing projects, use the Unassign command, as described above.

To assimilate objects into a catalog item:

  1. On the Takeoff palette, select one or more items with assignments.
  2. Right-click the items, and click Assimilate All Assigned Items.

    The assignments are removed from the catalog items. The objects become part of the catalog item.

    NoteWhen you use the Assimilate command, objects that have been moved or deleted from the assigned item are not included in the catalog item. The catalog item contains only the objects that are found in the assigned item at the time you use the Assimilate command.


Creating Takeoff from the Model Palette

Modifying Item Assignments
Using Palette Commands to Create Takeoff
Creating Takeoff Using Object Properties
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Palette Commands to Create Takeoff >
Expand All
Collapse All
Creating Takeoff from the Model Palette

On the Model palette, you can create takeoff for a selection at any level of the tree using the Takeoff and Takeoff to Item commands.

  • Takeoff. Creates takeoff for the selected group, item, or object and places the results at the root of the Takeoff palette. Select a group or item to create takeoff for all contents of the group or item, and have the results placed in a new group or item on the Takeoff palette. Select one or more objects to create takeoff for the objects, and have the results placed in a new item on the Takeoff palette.
  • Takeoff to Item. Adds takeoff results for selected items or objects to a specified item on the Takeoff palette.

To add takeoff to the root of the Takeoff palette:

  1. On the Model palette, select a group, item, or object.
  2. Right-click the selected entity, and click Takeoff.

    You can also click [image] (palette menu) [image] Takeoff.

    TipYou can use the Takeoff command to create takeoff for an entity as many times as you need for your project.
  3. If a message prompts you that the takeoff is complete, click Close.

    The takeoff is created, named according to the model naming convention, and added alphabetically to the root of the Takeoff palette. If you have previously created takeoff for the newly created takeoff items and defined their item types, the defined Type values display on the Takeoff palette, and their quantities display in the Workbook.

    NoteIf a group or item name is the same as a name that is already on the Takeoff palette, a numerical suffix is added to the name of the newly created takeoff entity to prevent duplicate names. For example, a duplicate takeoff group named Interior Walls would be renamed Interior Walls_2 upon creation.
  4. On the Takeoff palette, if the Type value for any newly created takeoff item is Undefined, select the appropriate value for the item.

    Type refers to the manner in which takeoff is calculated for the item. For example, the item type for carpet is Area. For more information, see About Item Type.

    The Takeoff command uses the settings on the Item Type tab of the Preferences dialog to determine the default item types, based on previous choices. For more information, see Specifying Preferences.

To add takeoff to a catalog item:

  1. On the Model palette, select one or more items or objects.

    You can select items, objects, or a combination of items and objects. Your selection can include entities from different groups, such as a fixed window item from one group and a set of glazed curtain wall panel objects from another group.

  2. Right-click the selected entity, and click Takeoff to Item.

    You can also click [image] (palette menu) [image] Takeoff to Item.

  3. In the Takeoff to Item dialog, navigate to and select the target item.
  4. Click Select.
    TipYou can use the Takeoff to Item command to create takeoff for an entity as many times as needed for your project.
  5. If a message prompts you that the takeoff is complete, click Close.

    The takeoff is created and added to the target item on the Takeoff palette. The new takeoff objects inherit the item type and name of the target item. A numerical suffix is added to the names of the new objects to prevent duplicate names.

  6. On the Takeoff palette, if the Type value for the target item is Undefined, select the appropriate value for the item.

    When the target item type is defined, the nested objects inherit the defined Type value, and their quantities display in the Workbook.

    Type refers to the manner in which takeoff is calculated for the item. For example, the item type for carpet is Area. For more information, see About Item Type.

    The Takeoff command uses the settings on the Item Type tab of the Preferences dialog to determine the default item types, based on previous choices. For more information, see Specifying Preferences.


Creating Takeoff Using Object Properties

Creating Takeoff from the Model Palette
Using Palette Commands to Create Takeoff
Modifying Item Properties
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Using Palette Commands to Create Takeoff >
Expand All
Collapse All
Creating Takeoff Using Object Properties

When you use 2D and 3D DWF files, many drawing objects contain property data. Using the Properties palette, you can view objects’ properties and use them to create new items, which can help you establish logical object groupings. For example, an item for an exterior wall might contain objects with various wall heights: 8 feet, 10 feet, and 12 feet. By selecting a set of objects on the Properties palette and using the right-click functionality on the Takeoff palette, you could create a new item for each wall height.

To create items from selected objects:

  1. On the Takeoff palette, select the item that contains the objects you want to use.
  2. On the Properties palette, on the Design tab, select one or more of the objects, right-click and click Deselect Others.
    TipIf necessary, hide and sort columns. For more information, see Modifying the Column Layout on Palettes.

    The selected item or objects are now selected on the Takeoff palette.

  3. On the Takeoff palette, right-click the selected item or objects, and click Create Item From Selection.

    You can also click [image] (palette menu) [image] Create Item From Selection.

  4. Enter a name for the item, and press ENTER.

    The new item is created and placed at the root of the Takeoff palette.


Modifying Item Properties

Creating Takeoff Using Object Properties
Performing Quantity Takeoff
Modifying Object Properties
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff >
Expand All
Collapse All
Modifying Item Properties

After you create an item, you can modify its properties as needed on the Takeoff palette. Click properties such as Work Breakdown Structure groups, subgroups, descriptions, type, dimension data, and remarks. Type directly on the Takeoff palette, or to access all item properties, use the Takeoff Item Properties dialog.

To modify the properties of an item:

  1. On the Takeoff palette, double-click the takeoff item.
  2. In the Takeoff Item Properties dialog, change the Work Breakdown Structure ID, item name or type. Select a tab to modify additional properties:
    • General tab. Contains item dimension and visual display information. For information about how the item type controls the availability of dimension fields, which you can use to generate secondary quantities for manual items, see About Dimension Mapping.
    • Assembly tab. Contains component item information, including associated formulas. For more information, see Creating an Assembly.
    • Cost Data tab. Contains item quantity and cost information. For information about options for modifying this information, see Adding Cost Data.
    • Catalog Parameters. This tab displays only if you imported a catalog that contains parameters. For more information, see Importing a Catalog.
    • Catalog Data. This tab displays only if the item has catalog data associated with it. For more information, see Working with Catalog Data.

To edit item properties from the Properties palette

  1. Open the Properties palette.
  2. Select one or more takeoff items in the drawing area or Takeoff palette.
  3. On the Properties tab, select the Design tab.
  4. Click property values to make them editable.

    If multiple items are selected, the Design tab will display item properties in an editable table that functions like those in Microsoft® Excel®.

To change the default takeoff colors for an item

  1. You can select, change, and edit the overlay colors that represent a takeoff in a drawing in both 2D and 3D views. If 3D views are not showing color correctly, try selecting the Enable Takeoff Model Color setting on the Model tab of the Preferences dialog. See Specifying Preferences for more information.
  2. On the Takeoff palette, select the takeoff item.
  3. In the Takeoff Item Properties dialog, change the Visual Display Color and Opacity.

    The takeoff item will be represented by this color change and opacity until edited or the takeoff item is deleted.

    NoteYou can also select an item in the drawing area and make color and opacity changes from the toolbar.

    You can temporarily hide the color of a takeoff item by deselecting its respective hide box in the Takeoff palette.


Modifying Object Properties

Modifying Item Properties
Performing Quantity Takeoff
About Object Mapping
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff >
Expand All
Collapse All
Modifying Object Properties

QTO generates quantities for model objects by mapping their properties to dimensions in the catalog. In some cases, objects cannot be mapped automatically, and they remain Undefined. To generate quantities for these Undefined objects, you must map them, as described in this section. For mapping basics, see About Object Mapping. For the mapping procedure, see Mapping Undefined Objects.

In other cases, you might modify an object’s properties when you want to change the property being measured or when the labor cost for an object is expected to be higher than the amount specified at the item level, as described in Modifying Object Mapping and Costs.

Topics in this section

  • About Object Mapping
  • Mapping Undefined Objects
  • Modifying Object Mapping and Costs


About Object Mapping

Modifying Object Properties
Modifying Object Properties
Mapping Undefined Objects
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Modifying Object Properties >
Expand All
Collapse All
About Object Mapping

QTO generates quantities for model objects by extracting their embedded design data and mapping it to dimensions in the catalog. As you work in QTO you will see that some dimensions are mapped automatically, based on item type. The item type defines the primary dimension of the item: by default, Linear items are mapped to Length, Area items are mapped to Area, and Volume items are mapped to Volume. Each primary dimension is also mapped to a default object property, which is the property that is measured during takeoff. Default object properties are specified on the Mapping tab of the Preferences dialog. For example, by default, the Length dimension is mapped to the Length property. Therefore, if a Linear object contains a Length property, the length of the object is measured and reported during takeoff.

Item Type | Primary Dimension | Default Object Property
Linear | Length | Length
Area | Area | Area (for Revit-based objects); Area-LeftNet (for AutoCAD-based objects)
Volume | Volume | Volume (for Revit-based objects); Volume-Net (for AutoCAD-based objects)
Count | None required | None required

Some Linear objects, such as interior walls, have additional linear properties, such as Width and Unconnected Height. When additional properties are available for an object, they display in the dimension columns on the Takeoff palette. You can select a different property to change the property that is measured during takeoff.

In some cases, objects do not contain the default property used for automatic mapping, and you must map them yourself in order to generate takeoff measurements. For more information, see Mapping Undefined Objects.


Mapping Undefined Objects

About Object Mapping
Modifying Object Properties
Modifying Object Mapping and Costs
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Modifying Object Properties >
Expand All
Collapse All
Mapping Undefined Objects

Some objects do not contain the default property used for object mapping. When this occurs, the primary dimension value is Undefined on the Takeoff palette and no measurement can be generated for the object. Check for Undefined (unmapped) objects on the Takeoff palette by locating the items that contain them:

  • When an item’s primary dimension is *VARIES*, the item contains one or more objects that exist in the model but do not exist in a 2D sheet in your project. These objects’ primary dimension is Undefined.
  • When an item’s primary dimension is Undefined, none of its objects exist in a 2D sheet. To find out whether a particular object exists in a 2D sheet, right-click the object on the Takeoff palette, click Views, and look for a sheet name on the drawing list.

If you have Undefined objects in your takeoff data, follow the steps below to generate takeoff measurements for them.

To map Undefined objects:

  1. On the Takeoff palette, check the available values in the object’s primary dimension column. If a property is available, select it to generate a takeoff measurement.
  2. If the object does not contain a mappable property, follow these steps to enter values in the Workbook to generate a measurement for the object:
    • On the Documents palette, select the 3D model.
    • On the Takeoff palette, select the object.
    • On the Properties palette, on the Design tab, locate the object’s dimensions.
    • Enter the dimension values in the object’s dimension columns in the Workbook. For more information, see Entering Overrides in the Workbook.


Modifying Object Mapping and Costs

Mapping Undefined Objects
Modifying Object Properties
Adding Cost Data
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff > Modifying Object Properties >
Expand All
Collapse All
Modifying Object Mapping and Costs

Some objects have many properties that can be mapped to their primary and secondary dimensions. When additional properties are available for an object, they display both in the dimension columns on the Takeoff palette and in the Mapping column of the Takeoff Object Properties dialog. When you select a different property for an object’s primary dimension (or any other dimensions you use to generate quantities), you change the property that is measured during takeoff.

In addition to the Mapping values, there is one other value you can specify in the Takeoff Object Properties dialog: Complexity. Labor costs associated with an object are multiplied by the Complexity value. This value is 1 by default, but you can increase it to account for higher installation costs for an object. For example, select 1 for windows installed at the entry level of a building; select 3 for windows installed in upper levels to account for the additional cost of erecting scaffolding.

NoteIf you enter a Complexity value, it will be multiplied by any labor cost you specify. If you specify both a Labor Cost and a Subcontractor Cost at the item level, the Complexity value will be applied to both costs. For information about specifying labor costs, see Creating a Takeoff Item.

To modify the properties of an object:

  1. On the Takeoff palette, double-click the object, or right-click the object and click Properties.
  2. In the Takeoff Object Properties dialog, on the General tab, under Mapping, select a property for each dimension you want to measure.

    TipTo change the mapping values for multiple objects at once, use the dimension columns (such as Length, Area, and Height) on the Takeoff palette. To modify consecutive objects, press and hold SHIFT, select the first and last objects, and then select a value for the appropriate dimension column. For non-consecutive objects, use the same method while pressing CTRL.
  3. If the object requires additional labor to install, for Complexity, select a number to multiply by the labor cost.


Adding Cost Data

Modifying Object Mapping and Costs
Performing Quantity Takeoff
Adding a Takeoff Legend to a Sheet
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff >
Expand All
Collapse All
Adding Cost Data

Accurately estimating project costs provides a competitive advantage when bidding on construction projects. You have several options for adding material, labor, and equipment costs to takeoff items:

  • Enter cost information when you create takeoff items. For more information, see Creating a Takeoff Item.
  • Create takeoff items without cost information, and then enter the costs at a later time, either through the Takeoff Item Properties dialog or directly in the Workbook. When you have a large amount of cost data to enter, the Workbook (with tools that function like those in Microsoft® Excel®) is the easiest way to make your entries. For more information, see Entering Cost Data in the Workbook.
  • Export the takeoff data for use in other products, such as Microsoft® Excel® or a cost estimation application. For more information, see Exporting Data.

If you enter cost data in QTO, you can view the cost calculations in the Workbook or by creating a report.


Adding a Takeoff Legend to a Sheet

Adding Cost Data
Performing Quantity Takeoff
Modifying Takeoff Data
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Performing Quantity Takeoff >
Expand All
Collapse All
Adding a Takeoff Legend to a Sheet

A legend is a reference table on a drawing sheet that lists and defines the colors used for takeoff markup on the sheet. You can add a legend to any 2D sheet in a QTO project. Each entry in the legend is composed of a color block, an item label, and quantity information, showing the amount of the item that is used on the sheet. By default, legends show the primary quantity (Quantity 1) and associated unit for each item, as specified on the Cost Data tab of the Takeoff Item Properties dialog. If you have defined a secondary quantity (Quantity 2) for your items, you can change the quantity setting to Quantity 2 or Both (Quantity 1 and Quantity 2).

Legend entries are listed in ascending alphabetical order, based on the label style you specify (either Item Name, Item and Parent Group, or Item and Root Group). For example, if the label style is Item and Root Group, then all entries are ordered alphabetically by root group name rather than solely by item name.

TipIf your project contains items that are named only by their dimensions, such as windows and doors, choose a label style with a group name to provide essential identifying information. For example, in the case of doors, the group name can help you distinguish between interior and exterior doors that have the same dimensions.

After a legend is added to a sheet, you cannot edit its contents directly. However, legends are updated dynamically when you make changes to item names, colors, quantities, visibility settings, and group designations.

To add a legend to a sheet:

  1. On the Documents palette, select a 2D sheet that contains takeoff.
  2. In the Legend column, select the check box that corresponds to the current sheet. Alternatively, click Document menu [image] Legend.

    The legend displays in the center of the sheet, using the default label style, font size, and quantity settings shown on the Contextual Tools palette.

  3. To modify the legend settings, verify that the legend is selected (handles display when it is selected), and then specify values on the Contextual Tools palette:
    • For Label Style, select either Item Name, Item and Parent Group, or Item and Root Group.

      Example: A ceiling item whose hierarchy of root group/parent group/item name is Interiors/Ceiling Finishes/GWB on Metal Stud can yield these legend entries: GWB on Metal Stud (Item Name); Ceiling Finishes/GWB on Metal Stud (Item and Parent Group); or Interiors/GWB on Metal Stud (Item and Root Group).

      Because legend entries are listed in ascending alphabetical order, the position of an item in the legend depends on the alphabetical position of the first letter of the item’s label. In the example above, the label style selected for the legend will determine whether the ceiling item is listed alphabetically by G (GWB), C (Ceiling), or I (Interiors).

    • For Show Quantities, specify whether to display the primary quantity (Qty1), secondary quantity (Qty2), or both quantities in the legend.
    • For Size, select the preferred font size.

    The changes you make to the legend settings apply only to the legend on the current sheet. Legend visibility, position on sheet, and Contextual Tools settings are saved individually for each sheet in a project.

  4. To move the legend on the sheet, select the legend on the canvas, and then drag it to the new location.

Legends are printed on sheets only when they are displayed on the canvas. When QTO projects that contains legends are published to DWF files, users of Autodesk® Design Review can view the legends; however, they cannot modify them in any way.


Modifying Takeoff Data

Adding a Takeoff Legend to a Sheet
Autodesk Quantity Takeoff 2011 Help
Entering Overrides in the Workbook
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help >
Expand All
Collapse All
Modifying Takeoff Data

You can modify takeoff data to suit your needs. Whether you need to account for undocumented design elements, add a waste factor, or round up to the next whole number, QTO supports overriding values for measured quantities, dimensions, and DWF properties by entering values manually. You can also create assemblies and edit assembly formulas directly in the Workbook, using Auto Fill and other tools that function like those in Microsoft® Excel®.

Topics in this section

  • Entering Overrides in the Workbook
  • Adding Components to an Assembly in the Workbook
  • Entering Cost Data in the Workbook
  • Entering Formulas in the Workbook


Entering Overrides in the Workbook

Modifying Takeoff Data
Modifying Takeoff Data
Adding Components to an Assembly in the Workbook
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Modifying Takeoff Data >
Expand All
Collapse All
Entering Overrides in the Workbook

Workbook cell overrides give you the ability to replace QTO-generated values with user-defined values. For example, some model objects have no properties that can be mapped to dimensions, which prevents QTO from calculating quantities for these objects. In these cases, you must enter override values in the Workbook in order to measure the objects. In other cases, you might use overrides to make adjustments for objects that are grouped together but whose properties differ, as in the case of slabs that are grouped in a single item yet have different thicknesses.

The following rules govern overrides:

  • When you enter overrides for objects, the Workbook displays triangular override indicators in the upper-right corners of the cells that contain the manually entered values:

  • In the detail view, when you put the cursor over a cell with an override indicator, a tooltip displays the original value, the override value, and the difference:

  • In the summary view, the override indicator displays in the item’s description cell, and a tooltip displays Detail Override Rollup:

  • Item overrides in the Workbook update the Takeoff Item Properties dialog.
  • Overrides of item quantities are treated as lump sum totals. Therefore, if you create new manual takeoff objects for the item, the item quantities (Quantity 1 and Quantity 2) are not recalculated to reflect the new objects.
  • Object overrides in the Workbook update the Takeoff Object Properties dialog, and override indicators are added to the overridden values. Conversely, overrides in the Object dialog update the corresponding Workbook cells with the new values and override indicators.
  • When you override a dimension, such as Length, QTO updates the item quantity at both the summary and detail levels.

Follow the steps below to enter item and object overrides for quantities, dimensions, and DWF properties:

To enter an override:

  1. Select the cell to override.

    The cell turns blue when selected.

  2. Do one of the following:
    • In the cell, enter the new value, and press ENTER.
    • In the formula bar in the Workbook header, enter the new value, and press ENTER.
    TipYou can also enter formulas for quantity values. For more information, see Entering Formulas in the Workbook.

To remove an override:

  1. Select the cell with the override.
  2. Right-click the cell, and click Reset Cell.


Adding Components to an Assembly in the Workbook

Entering Overrides in the Workbook
Modifying Takeoff Data
Entering Cost Data in the Workbook
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Modifying Takeoff Data >
Expand All
Collapse All
Adding Components to an Assembly in the Workbook

Assemblies are takeoff items that contain component items. For example, a wall assembly is made up of several component items, such as wood studs, insulation, and gypsum wallboard. Create assemblies in the Workbook using the Add Item command.

NoteAlternatively, you can use the Assembly tab of the Takeoff Item Properties dialog to create assembly items. For more information, see Creating an Assembly.

To add components to an assembly item:

  1. Verify that both the assembly item and the individual items that make up the assembly are available in the project and have been assigned appropriate item types, as explained in Creating a Takeoff Item.
  2. In the summary view of the Workbook, select the assembly item, right-click, and click Add Item.
  3. In the Browse dialog, navigate to and expand the groups that contain the components of the assembly.
  4. While pressing CTRL, select the components, and click Select.

    TipLocked items can be added as components of an assembly.

    The selected components are added to the assembly item. You can now enter formulas for the components, which will allow the software to calculate item quantities and costs. For more information, see Entering Formulas in the Workbook.

    NoteAll assembly cost calculations are based on the cost data you specify for the component items that make up the assembly. When you add components to an item, both the Workbook and the assembly item’s properties are updated. In the Workbook, the components are displayed as a subset of the assembly item. In the Takeoff Item Properties dialog, the components are displayed on the Assembly tab, and the fields on the Cost Data tab are dimmed because the costs specified for the component items are used instead.


Entering Cost Data in the Workbook

Adding Components to an Assembly in the Workbook
Modifying Takeoff Data
Entering Formulas in the Workbook
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Modifying Takeoff Data >
Expand All
Collapse All
Entering Cost Data in the Workbook

QTO provides both primary and secondary quantity columns, Quantity 1 and Quantity 2, respectively. These columns support calculations using dimension values and DWF properties.

The default Quantity 1 dimension for an item is determined by the item type you specify. For example, if you specify Linear for the item type, the default Quantity 1 dimension is Length.

By default, cost calculations are based on Quantity 1. To change the basis for cost calculations, use the Cost Data tab of the Takeoff Item Properties dialog to specify a Quantity 2 dimension and use it to calculate quantities and associated costs. For each cost-related field (Material, Labor, Subcontractor, Equipment, and Time), you can select either the Quantity 1 or Quantity 2 dimension as the basis for the cost calculation. For example, you can base Material Cost on Length, while basing Labor Cost on Area.

NoteFor assembly items, the fields on the Cost Data tab are dimmed. Cost calculations for assemblies are based on the cost data specified for the component items that make up the assembly. To change the cost calculations for an assembly item, modify the cost calculations for the components.

The quantity and cost fields on the Cost Data tab correspond to columns in the Workbook. While you can use the Cost Data tab to enter all your costs, when you have a large amount of cost data to enter, the Workbook provides an easier way to make your entries. Navigate and edit Workbook cells using functionality like that found in Microsoft® Excel®. With a cell selected:

  • Press the TAB key to move one cell to the right.
  • Press SHIFT + TAB to move one cell to the left.
  • Press the ENTER key to move one cell down, vertically.
  • Use the arrow keys to move up, down, left, or right one cell at a time.
  • Override item data, such as dimensions and measured quantities, by making entries in cells and pressing the ENTER key. For more information, see Entering Overrides in the Workbook.
  • Use the formula bar to enter formulas for items and objects. For more information, including override indicators and tooltips, see Entering Formulas in the Workbook.


Entering Formulas in the Workbook

Entering Cost Data in the Workbook
Modifying Takeoff Data
Managing Project Versions
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Modifying Takeoff Data >
Expand All
Collapse All
Entering Formulas in the Workbook

Use the Quantity columns in the Workbook to enter formulas that perform calculations on item and object quantities, including quantities for assembly items. Using formulas, you can adjust quantity values, convert quantities to different units of measurement, and use object properties to calculate quantities.

At the item level, Quantity columns display the sums of the objects they contain. These totals are dynamically updated when you add, change, or delete objects.

At the object level, Quantity columns contain default formulas. For example, the default formula for a Linear object is =Length. Click an object’s quantity cell to display its formula in the formula bar near the top of the Workbook. Click the cell again to display the formula directly in the cell.

With a quantity cell selected, enter or edit formulas using any of these methods:

  • When a formula is displayed in a quantity cell in the Workbook, you can edit the formula directly in the cell, or you can use the options on the context (right-click) menu to select formula input.
  • Enter an equation in the formula bar in the Workbook header.
  • Click the fx button in the Workbook header to enter an equation in the Formula Editor.

Formulas in QTO begin with an equal sign (=) and may contain operators (such as +, -, *, /), functions (such as exp, min, max), quantity values (such as Length, Area, and Count), and object properties. Only published DWF object properties are supported in formulas. When an object contains DWF properties, they are available in the Formula Editor and on the context (right-click) menu.

NoteWhen entering a formula directly in a cell without using the context menu, you can display a list of object properties by entering .object. You can then select a property from this list to include it in the formula. When specifying an object property, you must use this syntax: object.property name. For example, to multiply the length of a wall by its unconnected height, enter =Length*object.Unconnected Height.

Tips for working with formulas:

  • To maintain dynamic updating of item totals, create formulas that use quantity values (such as Length and Height) instead of applying operators and functions to the sums themselves. For example, to apply rounding to a quantity value of 387.333 sq. ft., enter a formula of =round(Area). If you enter =round(387.333), the quantity value becomes static, preventing it from reflecting changes to object quantities. This type of edit is called a quantity override. If you override an item’s quantity value, you can restore its dynamic updating by right-clicking the cell and clicking Reset Cell.
  • Formulas entered in the Workbook are governed by the same rules that apply to overrides. For more information, see Entering Overrides in the Workbook.
  • You can enter many standard mathematical expressions and values not listed in the Formula Editor. For more information, see Inputs Allowed in Formulas.
  • After you enter a formula in the formula bar or Formula Editor:
    • Click [image] or press ENTER to apply it.
    • Click [image] to delete it.
  • You can apply the same formula to multiple cells in a single operation and use formulas to derive the weight of Linear takeoff items, such as structural steel, as described in the following procedures.

To apply a formula to multiple cells:

  1. Select the quantity cells to which to apply the formula.

    To select a set of consecutive cells, press and hold SHIFT while selecting the cells. To select a set of non-consecutive cells, press and hold CTRL while selecting the cells.

  2. Enter the formula in the formula bar, or click the fx button and enter it in the Formula Editor, and press ENTER.

    The formula is applied to the first selected cell.

  3. With the quantity cells still selected, right-click, and click Auto Fill Formula.

    The formula is applied to all selected cells.

To derive the weight of structural steel:

  1. Determine the lengths of the steel beams in your project using whatever takeoff method you choose.
  2. Count the number of beams.
  3. Based on the steel beam designation, determine the weight per foot.
  4. Enter a formula for the item to convert the weight to tons.

    For example, 7 beams x 20 ft each x 22 lbs/LF = 3,080 lbs = 1.54 t.

  5. In the quantity column, change the unit to t (tons).


Managing Project Versions

Entering Formulas in the Workbook
Autodesk Quantity Takeoff 2011 Help
Managing Project Size
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help >
Expand All
Collapse All
Managing Project Versions

Because of the iterative nature of the design and quantity takeoff process, designers submit updated models and sheets to cost estimators throughout the design phase of a project. To maintain a history of the design elements and takeoff data, create a new project every time you receive an updated model and sheet set.

If you used the Model Takeoff tool on a previous version of the building model, your past selections are used to predictively assign item types during subsequent model takeoffs, making it possible to create valid takeoff with a single click on the model. When items without known item types exist in the updated model, create takeoff for these items using one of these methods:

  • Drag model takeoff items to catalog groups and define their item type, or drag model takeoff objects to catalog items that have defined item types.
  • Assign model takeoff items to catalog items. For more information, see Creating Takeoff Using Catalog Assignments.
  • Use the Takeoff or Takeoff to Item command on the Model palette. For more information, see Creating Takeoff from the Model Palette.

As you progress from conceptual to detailed design, new items are usually added to project catalogs. To ensure that you have the most recent catalog and to guarantee continuity across project versions, export the catalog from the current version of your project, and use it to create a new version of the project. The catalog forms the basis for your updated estimate.

Whenever you work with updated models and sheets, follow QTO-recommended practices for controlling the size of your project, and use the Compare tool to help you manage your updated design documents, as explained in this section.

Topics in this section

  • Managing Project Size
  • Comparing Sheets


Managing Project Size

Managing Project Versions
Managing Project Versions
Comparing Sheets
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Managing Project Versions >
Expand All
Collapse All
Managing Project Size

As design changes accumulate, designers need to create updated models and sheet sets, and you need to manage a series of potentially complex updates. Follow these best practices to help designers publish streamlined files and to refine your workflow to maximize QTO’s performance:

  • Encourage designers to hide unnecessary drawing details before they publish sheets.
  • While using QTO, close any other applications that you can.
  • When possible, complete your takeoff using only the model.
  • When importing 2D sheets, review the sheet set and select only the sheets that are required to produce complete takeoff data.
  • Pay special attention to selecting 2D views of a 3D model, such as wireframe views. These sheets, which can potentially require many thousands of takeoff markups, can cause slow performance.
    NoteWith very complex sheets, QTO’s progress indicator may display “Not responding” while the application is computing and rendering markups. After the markups are rendered, you can work with the sheets without significant delays.
  • When working with very large projects, complete your takeoffs for systems one at a time. Before you publish a system sheet set to a DWF file, hide all non-system items.


Comparing Sheets

Managing Project Size
Managing Project Versions
Viewing and Validating Takeoff Data
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Managing Project Versions >
Expand All
Collapse All
Comparing Sheets

Use the Compare feature to compare a 2D DWF sheet (base sheet) from your current takeoff project with another 2D DWF sheet (target sheet), either in the same project or in an external location. The Compare feature detects any differences between the two sheets and displays the results in two ways: As numeric values in the Additions and Deletions columns on the Documents palette, and as a color-coded visual representation of additions and deletions on the canvas. This visual representation, called the comparison result, is saved on the Documents palette as a subdocument of the base sheet.

Sheet comparisons are an essential tool for managing sheet versions. When you receive updated sheets from a designer after you have completed takeoff on the original sheets, use the Compare feature to see the extent of the sheet modifications. Based on the comparison results, you can determine whether to modify the takeoff on the original sheets or, if the changes are extensive, whether it is better to abandon the original takeoff and create takeoff for the updated sheets. Alternatively, you can run the sheet comparison, mark up the updated sheets, and then send the comparison results and markups to the designer.

TipComparisons run faster when your target sheet is in an external location rather than imported into the current project. Generally, it is advantageous to evaluate the percentage of change on an updated sheet before importing it into a project.

To compare sheets:

  1. On the Documents palette, select a 2D DWF sheet to use as the basis for your comparison (base sheet).
    TipTo keep the Documents palette visible while you set up the comparison, pin the palette by clicking [image] in the palette title bar.
  2. If takeoff graphics are displayed on the canvas, on the Takeoff palette, click the Show all/Hide all check box, located to the left of the column headers.

    This check box controls the visibility of all takeoff graphics on the canvas. Turning off takeoff graphics improves the view of the color-coded additions and deletions that are displayed in the comparison results.

  3. Click [image] (Compare) on the palette toolbar.

    You can also click Document menu [image] Compare, or right-click the document and click Compare.

  4. In the Compare dialog, under Select File, do one of the following:
    • Select Current Project if you want to compare the base sheet with a target sheet in the same (current) project.
    • Select External File if you want to compare the base sheet with a target sheet in another project or in a non-project folder on your computer or network.
  5. Based on the location of the target sheet, do one of the following:
    • If you selected Current Project, select a 2D DWF sheet from those displayed in the Compare dialog.
    • If you selected External File, click Browse, navigate to and select a 2D DWF sheet, and then click Open.

    When you select a target sheet, the title bar of the Compare dialog is updated with the name of the sheet.

    NoteAlthough models are available for selection, the Compare feature cannot be run on models. Attempting to do so results in an error message.
  6. To modify the on-canvas display of additions (green, by default) and deletions (red, by default), click Options, and modify the default values in the Compare Options dialog as needed:
    • When you click a default color, the Color dialog opens. Select a different standard color or create a custom color, and click OK.
    • The Opacity percentage controls the depth of color applied to the additions and deletions on the canvas. The higher the opacity percentage, the darker the color.
  7. In the Compare dialog, click OK.

    The comparison is performed, and the results are displayed.

  8. Review the comparison results:
    • When differences are detected, markups are visible on the canvas. Additions (green, by default) identify any graphics in the target sheet that are not in the base sheet. Deletions (red, by default) identify any graphics in the base sheet that are not in the target sheet. To toggle additions off and on, click Document menu [image] Display [image] Additions. To toggle deletions off and on, click Document menu [image] Display [image] Deletions.
    • On the Documents palette, scroll to the Additions and Deletions columns to see the number of additions and deletions found by the comparison operation.
    • If no differences are found by the comparison operation, the Comparison Result message box reports this result, and no comparison document is added to the Documents palette.
    • If the comparison cannot be performed (for example, if you have selected a model for comparison), the Comparison Result message box displays. Review the message, and click OK.

    The comparison result is saved on the Documents palette as a subdocument of the base sheet, using a VS Target Project:Target Sheet naming convention. Rename the comparison result if you want, using a descriptive name to maintain the usefulness of the comparison as a reference document.


Viewing and Validating Takeoff Data

Comparing Sheets
Autodesk Quantity Takeoff 2011 Help
Sorting and Filtering Takeoff Data
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help >
Expand All
Collapse All
Viewing and Validating Takeoff Data

After you create takeoff data using automatic or manual takeoff tools, it is important to review and validate the data to ensure the quality of the information.

To help you manage and validate information, you can use the Takeoff palette to sort and filter takeoff data. Also, use the Takeoff palette to specify whether takeoff graphics are shown or hidden on the canvas and whether takeoff data is locked or unlocked for editing. For more information about controlling the visibility and editing of takeoff data, see Takeoff Palette.

Both the canvas and the Workbook contain functionality that works closely with the Takeoff palette to give you additional validation support. This functionality includes 3-way cross-selection of objects and the ability to zoom to object locations on the Takeoff palette and canvas, as explained in this section.

Topics in this section

  • Sorting and Filtering Takeoff Data
  • Validating Takeoff Data


Sorting and Filtering Takeoff Data

Viewing and Validating Takeoff Data
Viewing and Validating Takeoff Data
Validating Takeoff Data
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Viewing and Validating Takeoff Data >
Expand All
Collapse All
Sorting and Filtering Takeoff Data

You can sort the columns on the Takeoff palette in ascending or descending order. You can also use filters to limit the takeoff data to only those items that match the criteria you specify. For example, you can filter data using a predefined selection, such as View Defined, which shows only the data associated with defined items and objects, and hides the data for Undefined items and objects. Also, you can create a custom filter by specifying one or more criteria, such as item type and date modified. Filters are applied only to the Takeoff palette; they do not affect the canvas, the Workbook, or reports.

To sort columns on the Takeoff palette:

  1. On the Takeoff palette, click any column to sort it alphanumerically in ascending order.
  2. Click a column again to sort it in descending order.

    The sort order that is in effect when you close QTO is saved as a preference and used in your next QTO session.

To use filters on the Takeoff palette:

  1. On the Takeoff palette, select one of the following:
    • View All. Shows all defined and undefined items and objects.
    • View Defined. Shows only defined items and objects. Defined items are those that have a Linear, Area, Volume, or Count item type. Objects inherit the item type of their parent item.
    • View Undefined. Shows only items and objects with an Undefined item type, which is the default item type for newly created items.
    • Custom. Opens the Custom Filter dialog, where you can specify one or more criteria.

  2. If you selected View All, View Defined, or View Undefined, you can select additional filters:
    • Catalog Items. Shows only items that were imported from a catalog.
    • Project Items. Shows only items that were created in the current project.
    • With Assignments. Shows only items that have model items assigned to them.

    For example, if you select View All, Catalog Items, and With Assignments, the Takeoff palette data is limited to all defined and undefined catalog items with assignments.

  3. If you selected Custom, specify one or more filter criteria:
    • Under Find Results, select the rule to use, and enter a word or phrase.
    • For Item Type, select the type of item you want to find (Undefined, Linear, Area, Volume, or Count).
    • For Mapping, enter a value, such as Length, to narrow your search to objects with that value. You can enter only one value, and it must be an exact match in order to return results.
    • For Date Modified, select a time span to narrow your search.
    • For Filter, select one or more values to narrow your search to certain item types.

    • Click Filter.

      The Takeoff palette displays the takeoff data that matches the specified criteria. If you created a custom filter, it is added to the Filter list, where as many as the last 10 filters you created can be shown. Filters are named for the word or phrase you entered in a search field, or they are simply named Custom when no search criteria are entered.

  4. After viewing the filtered data:
    • Click [image] (Refresh) to apply the current filter to updated information, such as newly defined objects or the results of a search takeoff.
    • Select View All (and clear any additional filters, such as Catalog Items) to restore the default view of the Takeoff palette.


Validating Takeoff Data

Sorting and Filtering Takeoff Data
Viewing and Validating Takeoff Data
Reporting, Exporting, and Publishing
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Viewing and Validating Takeoff Data >
Expand All
Collapse All
Validating Takeoff Data

When you create takeoff data in QTO, takeoff markup is displayed on the canvas, each measurement is recorded as an object on the Takeoff palette, and quantity and cost data is aggregated in the Workbook. All of this data is linked in a 3-way cross-reference. Therefore, when you select takeoff geometry on the canvas, the corresponding object is selected on the Takeoff palette and in the Workbook. Similarly, when you select an object on the Takeoff palette or in the Workbook, the takeoff geometry is selected on the canvas. This 3-way visual cross-referencing of objects—on the canvas, at the project level (Takeoff palette), and at the sheet or project level (Workbook)—is designed to help you validate takeoff data:

  • The canvas displays takeoff markup (measurements and counts) for objects. You can select an object on the canvas and zoom to its location on the Takeoff palette.
  • The Takeoff palette is the collection of takeoff data for the entire project. You can show and hide takeoff data, as well as filter it to isolate data for review and validation. You can also select an object and zoom to its location on the canvas.
  • The Workbook is the collection of takeoff data for the active sheet or project, displayed in a spreadsheet format. You can view summarized item information, including quantities and costs, or detailed object information, including quantities and dimensions. Only defined items (those with a Type value of Linear, Area, Volume, or Count) display in the Workbook. Because all items displayed in the Workbook have a measurable value, cross-referencing items on the Takeoff palette with those in the Workbook can help you validate your data.

To validate takeoff data, use the following methods, individually or in combination:

  • Verify that when you select an object on the Takeoff palette, the same object is selected in the Workbook and on the canvas.
  • Right-click the object on the Takeoff palette, click Views, and then click a view drawing on the list that displays. QTO zooms in to that object on the canvas.
    TipModel objects that cannot be displayed using the Views command have not been mapped. Their primary dimension is Undefined on the Takeoff palette and no measurements can be generated for them. For more information, see Mapping Undefined Objects.
  • Right-click the object on the canvas, and click Locate Object. The corresponding object is selected on the Takeoff palette.
  • Use the Search feature to locate all occurrences of a word or phrase, and select a specific search result to view the related takeoff data.
  • Run a report to locate the sheet associated with a particular item.

To validate takeoff data:

  1. On the Documents palette, select a floor plan to display the sheet on the canvas.
  2. On the Takeoff palette, select a takeoff object.
  3. Verify that the object is selected on the canvas and in the Workbook.

  4. Using the same method, continue validating takeoff data.

To navigate to a takeoff object on the canvas:

  1. On the Takeoff palette, right-click a takeoff object, click Views, and select a view drawing.

    QTO opens the selected view drawing, and zooms in to the selected takeoff object.

  2. Click View menu [image] Fit to Window to restore the canvas to the full view of the drawing.

To navigate to a takeoff object on the Takeoff palette:

  1. On the canvas, right-click an object, and click Locate Object.

    The object is selected on the Takeoff palette.

  2. Note that the Locate Object function expands groups and items as necessary to display the selected object.

To search for objects:

  1. In the Search text box at the upper right of the drawing window, enter the text you want to locate, and press ENTER.

    The Search palette opens and displays the results from sheets, models, takeoff groups, items, and objects as navigational links.

    TipYou can also open the Search palette by clicking Window menu [image] Search.

  2. On the Search palette, select a result.

    The Search window closes, and the result is displayed:

    • If you select a document, the sheet or model is displayed on the canvas and selected on the Documents palette.
    • If you select a group or item, it is selected on the Takeoff palette.
    • If you select an object, it is selected on the sheet, on the Takeoff palette, and in the Workbook.


Reporting, Exporting, and Publishing

Validating Takeoff Data
Autodesk Quantity Takeoff 2011 Help
Creating and Viewing Reports
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help >
Expand All
Collapse All
Reporting, Exporting, and Publishing

There are several methods of getting project data from QTO: reporting, printing, exporting, and publishing to DWF. Each output method allows you to use the data in a different way:

  • Reports generated from QTO are read-only documents that present summarized or detailed takeoff data for the entire project.
  • Print reports, sheets and models, and Workbook data for quick reference, to share with people who do not have QTO, or to track project history.
  • Exporting data allows you to transfer information from QTO to another application. It can also be used as a secondary reporting method.
  • Publishing a project to a DWF file lets users of Autodesk® Design Review or DWF Viewer access your takeoff data.

Topics in this section

  • Creating and Viewing Reports
  • Printing from QTO
  • Exporting Data
  • Publishing to DWF


Creating and Viewing Reports

Reporting, Exporting, and Publishing
Reporting, Exporting, and Publishing
Creating a Custom Report
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing >
Expand All
Collapse All
Creating and Viewing Reports

Create reports to see summarized or detailed takeoff data for your entire project or a selected portion of it. QTO provides the following report types that you customize by making selections in the Report dialog:

  • Summary. A cost report that can include quantities and cost information for each takeoff group that contains takeoff data.
  • Group (Items Only). A detail report that can include quantity and cost information for each item in your project.
  • Group (Items and Objects). A detail report that can include quantity and cost information, object properties and dimensions, and sheet location for each item and object in your project.
  • Material (Items Only). A bill of materials that can include quantities and cost information for each item in your project.
  • Material (Items and Objects). A bill of materials that can include quantity and cost information, object properties and dimensions, and sheet location for each item and object in your project.

To generate a report, specify the report type, content, and layout elements that suit your needs. The report is displayed on the canvas and added to the Documents palette for future reference. In addition, the report name is added to the Recent Reports list on the Report menu, where you can select it to generate future reports, using the previously saved report settings. The Recent Reports list displays the last 10 reports generated from the current project.

When you select a report from the Recent Reports list, QTO uses the predefined settings as a report template, gathering the specified takeoff data from the current project and generating a new report. Predefined reports provide single-click reporting. Each time you run a report from the Recent Reports list, the newly generated report includes any modifications you have made to the takeoff data since the report was last run.

Any reports you create are displayed on the Documents palette as documents, which can be viewed, printed and exported. Report documents and predefined reports (that is, Recent Report menu items) are saved within their respective projects. If you publish a takeoff project to a DWF file, reports are not included.

TipA report provides a snapshot of project data at the time the report was created. To maintain a history of the takeoff data, create reports during different project phases.

Topics in this section

  • Creating a Custom Report
  • Running a Recent Report
  • Viewing a Report


Creating a Custom Report

Creating and Viewing Reports
Creating and Viewing Reports
Running a Recent Report
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing > Creating and Viewing Reports >
Expand All
Collapse All
Creating a Custom Report

When you create a custom report, you tailor the report style, content, and layout to meet your specific requirements.

To create a custom report:

  1. Click Report menu [image] Custom Report.

  2. In the Reports dialog:
    • On the General tab, for Name, enter a descriptive name for the report.

      By default, the project name is used as the report name. Give reports descriptive names (based on report type and content, for example) so that you can easily distinguish among various reports listed on the Documents palette and the Recent Reports menu.

    • For Report Type, select a Summary, Group, or Material report.

      The Report Type value controls the content that can be specified for the report. Material reports can include quantity and cost information, object properties and dimensions, and sheet location for each item and object in your project. The actual content of the report is determined by your selections on the General tab and Columns tab. For example, to generate a report that shows only cost by item (excluding object data and quantities), select the Material (Items Only) report type and select only cost-related columns.

    • Under Takeoff Entity, for Level of Hierarchy, select a value.

      Takeoff entities are the takeoff groups and items that are defined on the Takeoff palette for the current project. The Level of Hierarchy value controls how many levels of groups are displayed in the entities tree that makes up the Available list. For example, if you specify 1, the entities tree includes only top-level groups. If you specify 0, the entities tree includes no groups, only items.

      TipAll items are displayed in the entities tree, regardless of the number you specify for Level of Hierarchy. For projects that have many levels of nested groups, it can be beneficial to simplify (flatten) the entities tree to make it easier to select the content to include in the report.
    • In the Available list, select the takeoff data to include in the report, and click [image] to move it to the Selected list.

      The groups and items on the Available list are displayed in the same order as on the Takeoff palette. If you move a group to the Selected list, it includes all items that display under that group. You can also move individual items.

  3. On the Columns tab, select the column headers to include on the report, and click [image] to move them to the Selected list.

    The report type you selected determines the columns that are available. The Description column is included for all report types. If the Available list includes categories, such as Cost Data, you can move the entire category to the Selected list to include all of the category's columns in your report. Optionally, you can expand the category and select specific columns to include in your report.

    TipRearrange columns using the [image] and [image] buttons on the Selected list.

  4. On the Labels tab, select a label style.

    The label style controls how item descriptions are shown on the report. Items in reports are listed in ascending alphabetical order, based on the label style you specify (either Item Only, Item and Parent Group, or Item and Root Group). For example, if the label style is Item and Parent Group, then all entries are ordered alphabetically by parent group name rather than solely by item name.

  5. On the Layout tab, specify report layout settings.

    The settings you specify determine how the report will look on the screen and on paper. Under Options, specify whether to include page breaks after each group (if available), page numbers, and gridlines to separate data. Under Orientation, select a portrait or landscape format.

    NoteThe page break option is not available for Summary or Material reports.

  6. On the Header & Footer tab, select the predefined header and footer content you want, such as page numbers, your company name, the date, and the author. You may also specify a logo or other graphic image file to include in the header or footer.

  7. Click Create Report.

    The report is added to the Documents palette and displayed on the canvas.

  8. View or print the report.

    For more information, see Viewing a Report and Printing a Report.


Running a Recent Report

Creating a Custom Report
Creating and Viewing Reports
Viewing a Report
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing > Creating and Viewing Reports >
Expand All
Collapse All
Running a Recent Report

When you select a report from the Recent Reports list, QTO uses the predefined settings as a report template, gathering the specified takeoff data from the current project and generating a new report. Predefined reports provide single-click reporting.

  1. Click Report menu [image] Recent Reports, and select the report you want to run.

    The report is added to the Documents palette and displayed on the canvas.

  2. View or print the report.

    For more information, see Viewing a Report and Printing a Report.


Viewing a Report

Running a Recent Report
Creating and Viewing Reports
Printing from QTO
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing > Creating and Viewing Reports >
Expand All
Collapse All
Viewing a Report

When a report is selected on the Documents palette, it displays on the canvas, and the Report toolbar displays below the standard toolbar:

Use these tools to view a report:

Page navigation. Moves forward or backward through the report, either by single page or to the first/last page in the report.

Go to Page. Navigates directly to a specific page of a report.

Find Text. Searches the report for a specific word or phrase. The tool is not case-sensitive.

Zoom. Controls the zoom factor used to display the report. Select a predefined zoom factor, or click Customize to enter a zoom factor from 25 to 400.

NoteThe Report toolbar also includes the Export tool [image] . For information about exporting reports, see Exporting Data.


Printing from QTO

Viewing a Report
Reporting, Exporting, and Publishing
Printing Sheets and Models
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing >
Expand All
Collapse All
Printing from QTO

You can print content from the Documents palette (sheets, models, and reports). You can also print data from the Workbook.

Topics in this section

  • Printing Sheets and Models
  • Printing the Workbook
  • Printing a Report


Printing Sheets and Models

Printing from QTO
Printing from QTO
Printing the Workbook
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing > Printing from QTO >
Expand All
Collapse All
Printing Sheets and Models

When you print sheets and models, the current page is used as the default page to print. You can print all or selected pages.

  1. On the Documents palette, select the sheet or model to print.
  2. Click File menu [image] Print [image] Sheets & Models.
  3. In the Print dialog, specify the printer name, paper size, print range, and number of copies.
  4. Click OK.


Printing the Workbook

Printing Sheets and Models
Printing from QTO
Printing a Report
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing > Printing from QTO >
Expand All
Collapse All
Printing the Workbook
  1. Click File menu [image] Print [image] Workbook.

    You can also click [image] (palette menu) [image] Print Workbook.

  2. In the Print Workbook dialog, specify the printer name, paper size, print range, and number of copies.
  3. Click OK.

    When you print the Workbook, you get detailed item and object data. To get only item quantities, export the Workbook.


Printing a Report

Printing the Workbook
Printing from QTO
Exporting Data
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing > Printing from QTO >
Expand All
Collapse All
Printing a Report

You can print any report you have created. All available reports are displayed on the Documents palette.

  1. On the Documents palette, select the report to print.

    If you have just created the report, it is already selected on the Documents palette.

  2. Click File menu [image] Print [image] Report.
  3. In the Print dialog, specify the printer name, paper size, print range, and number of copies.
  4. Click OK.


Exporting Data

Printing a Report
Reporting, Exporting, and Publishing
Exporting a Report
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing >
Expand All
Collapse All
Exporting Data

When you export data, you transfer it from QTO to another format, such as XML (a format widely supported by applications such as Microsoft® Excel® and Microsoft® Word®), TXT, or Comma Separated Variable (CSV) format, which is a text file. Although exporting can be used as a secondary reporting method, it is primarily used to transfer data to another application.

Types of QTO data you can export:

  • Reports. The formatted data displayed in the report is converted to the file format you select, such as Microsoft® Excel® or Adobe® PDF. Export report data when you need to share reports with people who do not have QTO, or when you want to modify the formatting of the data to create a report layout that is not available in QTO.
  • Takeoff Catalog. The hierarchical structure of the groups and item data displayed on the Takeoff palette is saved in the file format you select. Use catalogs to ensure a consistent data structure across QTO projects within your organization.
  • Workbook Quantities. Item quantities are exported, and the worksheet structure is retained. You can export data for a single sheet or for the entire project. Export Workbook data when you want to exchange data with other estimating processes and applications.
  • Object properties. The DWF object properties selected on the Properties palette are saved in the file format you specify.

Topics in this section

  • Exporting a Report
  • Exporting a Catalog
  • Exporting Workbook Quantities
  • Exporting Object Properties


Exporting a Report

Exporting Data
Exporting Data
Exporting a Catalog
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing > Exporting Data >
Expand All
Collapse All
Exporting a Report

When you export a report, the formatted data in the report is converted to the file format you select. Choose the format that best suits your needs. For example, to share a report snapshot with people who do not have QTO, export the report to an Adobe® PDF file. To modify the exported data or formatting in a spreadsheet application, export the report to a Microsoft® Excel® file.

To export a report:

  1. At the top of the report preview, click [image] (Export), or click File menu [image] Export [image] Report.
  2. In the Export Report dialog:
    • Navigate to the desired export location.
    • For File name, enter a descriptive name.
    • For Save as type, select either Crystal Reports (*.rpt), Adobe Acrobat (*.pdf), Microsoft Excel (*.xls), Microsoft Excel Data Only (*.xls), Microsoft Word (*.doc), or Rich Text Format (*.rtf).
    • Click Save.
  3. In the Export Report message box, click OK.


Exporting a Catalog

Exporting a Report
Exporting Data
Exporting Workbook Quantities
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing > Exporting Data >
Expand All
Collapse All
Exporting a Catalog

Export catalogs to save the hierarchical structure of takeoff groups and items for future use. Proper use of catalogs ensures continuity across project versions and consistency across all QTO projects within your organization. For information about using exported catalogs to create updated estimates, see Managing Project Versions.

To export a catalog:

  1. Click File menu [image] Export [image] Catalog.

    You can also export a catalog from the Takeoff palette by clicking [image] (palette menu) [image] Save As Catalog.

  2. In the Save as Catalog dialog:
    • Navigate to the desired export location.
    • For File name, enter a descriptive name.
    • For Save as type, select either Takeoff Catalog (*.att), CSV (Comma delimited) (*.csv), or Tab Separated Variable (*.txt). If you have a supported estimating application installed, additional file extensions may be available.
    • Click Save.
    NoteCertain catalog types support parameters, which are displayed on the Catalog Parameters tab of the Item dialog. During a catalog export, QTO locates any formulas contained in an item’s catalog parameters, applies the calculations to the associated objects, and saves the resulting values in the export file.


Exporting Workbook Quantities

Exporting a Catalog
Exporting Data
Exporting Object Properties
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing > Exporting Data >
Expand All
Collapse All
Exporting Workbook Quantities

When you export Workbook quantities, you get item quantities only. To get detailed item and object data, print the Workbook.

To export Workbook quantities:

  1. Click File menu [image] Export [image] Quantities.
  2. In the Export Quantity Options dialog:
    • Under Sheets, select either Current Sheet Only or All Sheets.
    • Under Takeoff, select Export Hidden Takeoff if you want to include data from Takeoff palette groups, items, and objects that are currently hidden. For more information about hiding/showing takeoff data, see Takeoff Palette.
    • Click OK.
  3. In the Export Quantities dialog:
    • Navigate to the desired export location.
    • For File name, enter a descriptive name.
    • For Save as type, select either XML Spreadsheet (*.xml), or GAEB Data Exchange XML v3.0 (*.x81).
    • Click Save.


Exporting Object Properties

Exporting Workbook Quantities
Exporting Data
Publishing to DWF
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing > Exporting Data >
Expand All
Collapse All
Exporting Object Properties

Export selected object properties from a 3D DWF model or from a 2D DWF sheet, and save them in the export file format you specify.

To export object properties from a 3D DWF model:

  1. On the Documents palette, select a 3D DWF model.
  2. On the Model palette, select the objects whose properties you want to export.
    TipTo select a set of consecutive objects, press and hold SHIFT while selecting the objects. To select a set of non-consecutive objects, press and hold CTRL while selecting the objects.
  3. On the Properties palette, click the Design tab.
  4. Sort the list of objects, as needed.
    TipClick column headers to sort objects by properties. For example, sort wall objects by Base Constraint to group the objects by building level.
  5. Use the same selection method you used previously to select the object properties to export, and then right-click, and click Export.

    You can also click [image] (palette menu) [image] Export.

  6. In the Export Properties dialog:
    • Navigate to the desired export location.
    • For File name, enter a descriptive name.
    • For Save as type, select either Text (*.txt), or CSV (Comma delimited) (*.csv).
    • Click Save.

To export object properties from a 2D DWF:

  1. On the Documents palette, select a 2D DWF sheet.
  2. On the Takeoff palette, select the item that contains the objects whose properties you want to export.
  3. On the Properties palette, click the Design tab.
  4. Sort the list of objects, as needed.
    TipClick column headers to sort objects by properties. For example, sort wall objects by Base Constraint to group the objects by building level.
  5. Select the objects whose properties you want to export.
    TipTo select a set of consecutive objects, press and hold SHIFT while selecting the objects. To select a set of non-consecutive objects, press and hold CTRL while selecting the objects.
  6. Right-click, and click Export.

    You can also click [image] (palette menu) [image] Export.

  7. In the Export Properties dialog:
    • Navigate to the desired export location.
    • For File name, enter a descriptive name.
    • For Save as type, select either Text (*.txt), or CSV (Comma delimited) (*.csv).
    • Click Save.


Publishing to DWF

Exporting Object Properties
Reporting, Exporting, and Publishing
Preparing DWF Files for QTO
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Reporting, Exporting, and Publishing >
Expand All
Collapse All
Publishing to DWF

When you publish a QTO project to a DWF file, users of Autodesk® Design Review and DWF Viewer can access your takeoff data. The publishing process happens one sheet at a time, with a progress indicator reporting the status by sheet. After all sheets have been published, you name the DWF file and save it to the location of your choice.

To publish to DWF:

  1. Open a project that contains takeoff data.
  2. Click File menu [image] Publish to DWF.
  3. In the Publish to DWF dialog, for Save in, specify a location for the DWF file.
  4. For File name, enter a descriptive name.
  5. Click Save.

Results of DWF Publishing

The published DWF file does not include the Takeoff palette nor any project reports. The Workbook data is reformatted to a single bill of materials (BOM) section, which does not have the tabbed format used in QTO.

When a 3D DWF is viewed in Autodesk® Design Review, it retains the cross-selection behavior that shows the relationship between a BOM instance view (Workbook entry) and the canvas markup.

This table summarizes the results of publishing takeoff data to DWF:

QTO Data | Authored in QTO | Visible in QTO | Visible in Autodesk® Design Review/Autodesk® DWF Viewer
2D Sheets | No | Yes | Yes
3D Models | No | Yes | Yes
Bill of Materials | No | No | Yes
Takeoff Quantities (Object) See Note 1 | Yes | Yes | See Note 2
Takeoff Markups | Yes | Yes | See Note 3
Takeoff Palette (Items) | Yes | Yes | No
Takeoff Reports | Yes | Yes | No

Notes

  1. Bills of materials are ignored during DWF import into QTO.
  2. Workbook is converted to a single Bill of Materials Table (no tabs; no assembly components).
  3. Visible in Autodesk Design Review 2008 or later, or in Autodesk DWF Viewer 2007.


Preparing DWF Files for QTO

Publishing to DWF
Autodesk Quantity Takeoff 2011 Help
Publishing from AutoCAD
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help >
Expand All
Collapse All
Preparing DWF Files for QTO

You can publish QTO-compatible DWF files from these design applications:

  • AutoCAD®
  • AutoCAD-based products, such as AutoCAD Architecture and AutoCAD Civil 3D
  • Revit®

Topics in this section

  • Publishing from AutoCAD
  • Publishing from AutoCAD Architecture and AutoCAD MEP
  • Publishing from AutoCAD Civil 3D
  • Publishing from Revit


Publishing from AutoCAD

Preparing DWF Files for QTO
Preparing DWF Files for QTO
Publishing from AutoCAD Architecture and AutoCAD MEP
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Preparing DWF Files for QTO >
Expand All
Collapse All
Publishing from AutoCAD

Use the procedures in this section to create DWF files that can be used effectively by QTO. When published from AutoCAD, DWF files are 2D vector files. Each DWF file can contain one or more drawing sheets.

To publish from AutoCAD 2010 and later versions

  1. Open a drawing.
  2. On the command line, enter publish, and press ENTER.
  3. In the Publish dialog, for Publish to, select DWF.

    DWFx files can also be used in QTO; however, DWF files are generally preferred because they are smaller and load faster.

  4. Modify the list of sheets as needed. For information about modifying the list, including adding, removing, reordering, and renaming sheets, see the AutoCAD Help.
  5. If your files include a model that you want to publish as a 3D DWF file, in the 3D DWF column, select the appropriate check box.
  6. When your list of drawing sheets is assembled and configured the way you want for your drawing set, click the Save Sheet List button.
  7. In the Save List As dialog, for File name, enter a name for the list, and click Save.

    The drawing set list is saved as a drawing set descriptions (DSD) file.

  8. In the Publish dialog, click Publish.
  9. In the Specify DWF File dialog, specify a location for the file, enter a file name, and click Select.

    The DWF file is created in the specified location.

    If you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publishing job is in progress.

  10. To view information about the completed publishing job, right-click the plotter icon on the right side of the status bar, and click View Plot and Publish Details.

To publish from AutoCAD 2009

  1. Open a drawing.
  2. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  3. In the Publish dialog, modify the list of sheets as needed. For information about modifying the list, including adding, removing, reordering, and renaming sheets, see the AutoCAD Help.
  4. When your list of drawing sheets is assembled and configured the way you want for your drawing set, click the Save Sheet List button.
  5. In the Save List As dialog, in the File Name box, enter a name for the list, and click Save.

    The drawing set list is saved as a drawing set descriptions (DSD) file.

  6. In the Publish To group, click DWF Format, select DWF File, and click Publish.
  7. In the Specify DWF File dialog, enter a file name.
  8. Click Select to provide the name and destination for the DWF file.
  9. Click Save to start the electronic drawing set creation.

    If you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publishing job is in progress.

  10. To view information about the completed publishing job, right-click the plotter icon on the right side of the status bar, and click View Plot and Publish Details.

To publish from AutoCAD 2008

  1. Open a drawing.
  2. Click File menu [image] Publish. At the command prompt, enter publish.
  3. In the Publish dialog, modify the list of sheets as needed. For information about modifying the list, including adding, removing, reordering, and renaming sheets, see the AutoCAD Help.
  4. When your list of drawing sheets is assembled and configured the way you want for your drawing set, click the Save List button.
  5. In the Save List As dialog, in the File Name box, enter a name for the list, and click Save.

    The drawing set list is saved as a drawing set descriptions (DSD) file.

  6. In the Publish dialog, under Publish To, select DWF File, and click Publish.
  7. In the Select DWF File dialog, enter a file name. Click Select to provide the name and destination for the DWF file.
  8. Click Save to start the electronic drawing set creation.

    If you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publishing job is in progress.

  9. To view information about the completed publishing job, right-click the plotter icon on the right side of the status bar, and click View Plot and Publish Details.
  10. If you have background publishing enabled, you can view the published DWF file. Right-click the plotter icon on the right side of the status, and click View DWF File.


Publishing from AutoCAD Architecture and AutoCAD MEP

Publishing from AutoCAD
Preparing DWF Files for QTO
Publishing from AutoCAD Civil 3D
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Preparing DWF Files for QTO >
Expand All
Collapse All
Publishing from AutoCAD Architecture and AutoCAD MEP

Use the procedures in this section to create DWF files that can be used effectively by QTO.

To publish from 2010 products and later versions

  1. Open a drawing file.
  2. On the command line, enter publish, and press ENTER.
  3. In the Publish dialog, for Publish to, select DWF.

    DWFx files can also be used in QTO; however, DWF files are generally preferred because they are smaller and load faster.

  4. Modify the list of sheets as needed. For information about modifying the list, including adding, removing, reordering, and renaming sheets, see the AutoCAD Help.
  5. If your files include a model that you want to publish as a 3D DWF file, in the 3D DWF column, select the appropriate check box.
  6. When your list of drawing sheets is assembled and configured the way you want for your drawing set, click the Save Sheet List button.
  7. In the Save List As dialog, for File name, enter a name for the list, and click Save.

    The drawing set list is saved as a drawing set descriptions (DSD) file.

  8. In the Publish dialog, click Publish Options.
  9. In the Publish Options dialog, under DWF data options, for AEC property set data, select Include.
  10. For AEC automatic properties, select Include.
  11. For AEC DWF Options, verify the Published Property List (PPL) file to be used.
  12. Click OK.
  13. In the Publish dialog, click Publish.
  14. In the Specify DWF File dialog, specify a location for the file, enter a file name, and click Select.

    The DWF file is created in the specified location.

    If you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publishing job is in progress.

  15. To view information about the completed publishing job, right-click the plotter icon on the right side of the status bar, and click View Plot and Publish Details.

To publish from 2009 products

  1. Open a drawing file.
  2. Click File menu [image] Publish.
  3. In the Publish dialog, click Publish Options.
  4. In the Publish Options dialog, for Location, browse to the location for the published DWF file.
  5. Under DWF data options, for AEC property set data, select Include.
  6. For AEC automatic properties, select Include.
  7. For AEC DWF Options, verify the Published Property List (PPL) file to be used.
  8. Click OK.
  9. Under Publish to, select DWF file.
  10. In the Publish dialog, if your files include a model that you want to publish as a 3D DWF file, under Page Setup/3D DWF, select <3D DWF>.
  11. Click Publish.
  12. In the Specify DWF File dialog, enter a name for the DWF file.
  13. Click Select.
  14. In the alert dialog, click No.

To publish from releases prior to 2009

  1. Open a drawing file.

    Make sure there are property sets attached to the objects in the drawing. Typically this is done by tagging walls, windows, doors, and so on.

  2. Click File menu [image] AEC DWF Publishing Options.
  3. In the AEC DWF Publishing Options dialog, select Publish Property Set Data.
  4. If there are no property sets selected in the dialog, click Add, and select the property sets you want to publish.
  5. Click OK.
  6. Click Format menu [image] Options.
  7. On the Plot and Publish tab of the Options dialog, under Background processing options, clear Publishing, and click OK.
  8. Click File menu [image] Publish.
  9. In the Publish dialog, under Publish to, select DWF file.
  10. You can control the location of your DWF file by clicking Publish Options.
  11. Click Publish.
  12. In the alert dialog, click No.


Publishing from AutoCAD Civil 3D

Publishing from AutoCAD Architecture and AutoCAD MEP
Preparing DWF Files for QTO
Publishing from Revit
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Preparing DWF Files for QTO >
Expand All
Collapse All
Publishing from AutoCAD Civil 3D

Use the procedures in this section to create DWF files that can be used effectively by QTO.

To publish from Civil 3D 2010 and later versions

  1. Open a drawing file.
    NoteIf you assigned pay items to model geometry, export the pay item list to a QTO catalog to take advantage of automatic pay item mapping during model takeoff in QTO. For information about exporting pay item information to QTO, see the AutoCAD Civil 3D Help.
  2. On the command line, enter publish, and press ENTER.
  3. In the Publish dialog, for Publish to, select DWF.

    DWFx files can also be used in QTO; however, DWF files are generally preferred because they are smaller and load faster.

  4. Modify the list of sheets as needed. For information about modifying the list, including adding, removing, reordering, and renaming sheets, see the AutoCAD Help.
  5. If your files include a model that you want to publish as a 3D DWF file, in the 3D DWF column, select the appropriate check box.
  6. When your list of drawing sheets is assembled and configured the way you want for your drawing set, click the Save Sheet List button.
  7. In the Save List As dialog, for File name, enter a name for the list, and click Save.

    The drawing set list is saved as a drawing set descriptions (DSD) file.

  8. In the Publish dialog, click Publish.
  9. In the Specify DWF File dialog, specify a location for the file, enter a file name, and click Select.

    The DWF file is created in the specified location.

    If you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publishing job is in progress.

  10. To view information about the completed publishing job, right-click the plotter icon on the right side of the status bar, and click View Plot and Publish Details.

To publish from Civil 3D 2008 or 2009

  1. Open a drawing file.
  2. Click File menu [image] Publish.
  3. In the Publish dialog, under Publish To, select DWF File.
  4. If your file includes a model that you want to publish as a 3D DWF, under Page Setup/3D DWF, select <3D DWF>.
  5. Under Publish Controls, select Publish in background.
  6. Click Publish.
  7. In the Specify DWF File dialog, enter a file name, and click Select.

    To view the published DWF file, right-click the Plot/Publishing icon in the bottom menu tray, and select View DWF File.


Publishing from Revit

Publishing from AutoCAD Civil 3D
Preparing DWF Files for QTO
Working with Catalog Data
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Preparing DWF Files for QTO >
Expand All
Collapse All
Publishing from Revit

Use these procedures to create DWF files from Revit Architecture, Revit Structure, or Revit MEP.

To publish from Revit 2010 and later versions

  1. Open a drawing file.
  2. Make sure that property sets are attached to the objects in the drawing.

    Typically, this is done by tagging objects.

  3. Click [image] [image] Export [image] DWF.
  4. In the DWF Export Settings dialog, for Export, select <In session view/sheet set>.
  5. For Show in list, select All views and sheets in the Model.
  6. In the Include list, only the current sheet is selected for export. To publish multiple sheets, select the check box for each sheet to include.
  7. Click the DWF Properties tab.
  8. Under Export Object Data, select both Element properties and Rooms and Areas in a separate boundary layer.
  9. Click Export.
  10. In the Export DWF dialog, for Files of type, select DWF.

    DWFx files can also be used in QTO; however, DWF files are generally preferred because they are smaller and load faster.

  11. To publish all sheets in a single DWF file, select Combine selected views and sheets into a single dwf file.
  12. Click Export.

To publish a 2D DWF file from releases prior to 2010

  1. Open a drawing file.
  2. Make sure that property sets are attached to the objects in the drawing.

    Typically, this is done by tagging objects.

  3. Click File menu [image] Publish DWF [image] 2D DWF.
  4. In the Publish DWF 2D dialog, click Options.
  5. In the DWF Publish Options dialog, under Publish Object Data, select both Model Elements and Rooms and Areas, and click OK.
  6. To publish multiple sheets:
    • In the Publish DWF 2D dialog, under Range, click Selected Views/Sheets, and click [image] (Select).
    • In the Select dialog, select the sheets to include, and click OK.
  7. In the Publish DWF 2D dialog, click Save.

To publish a 3D DWF file from releases prior to 2010:

  1. Open a 3D view.
  2. Make sure that property sets are attached to the objects in the drawing.

    Typically, this is done by tagging objects.

  3. Click File menu [image] Publish DWF [image] 3D DWF.
  4. Click Save.


Working with Catalog Data

Publishing from Revit
Autodesk Quantity Takeoff 2011 Help
Creating a Catalog with Catalog Data Fields
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help >
Expand All
Collapse All
Working with Catalog Data

Catalog data fields are storage fields for data that is imported and retained from an external source, but which is not directly used by QTO. For example, you could use catalog data to allow values from an external database to be round-tripped using an SKU or database ID. These fields are sometimes referred to as user-defined fields.

Catalog data fields are created in QTO during catalog import. You can create catalogs that contain these fields by exporting your materials catalog or object database in an ATT (XML based), CSV, or TXT format, and then importing the file into QTO. Catalog data fields are created for all non-QTO fields that contain values. They can be created at the group or item level. If there is no value in a field, that field is not included for the group or item. Catalog data fields and their associated values are displayed on the Catalog Data tab of the Properties dialog for the group or item.

The following rules govern the import and use of catalog data fields:

  • Any extra or unsupported field generates a catalog data field.
  • Field names are generated from extra lines in the catalog for groups and items.
  • Fields on the Catalog Data tab are displayed in the order in which they are imported.
  • There is no limit to the number of catalog data fields.
  • Catalog data fields must have valid and unique names.
  • Catalog data fields may differ from group to group and item to item.
  • Catalog data fields are read-only strings, which cannot be used as the basis for a search or filter.
  • Catalog data fields are included when you export catalog or Workbook data.

Topics in this section

  • Creating a Catalog with Catalog Data Fields
  • Exporting Catalog Data Fields


Creating a Catalog with Catalog Data Fields

Working with Catalog Data
Working with Catalog Data
Exporting Catalog Data Fields
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Catalog Data >
Expand All
Collapse All
Creating a Catalog with Catalog Data Fields

You can create a catalog that contains catalog data fields (also called user-defined fields) by exporting and editing an object database. You can then import the catalog into QTO, use it to create and validate takeoff data, and export the data for use in a cost estimation application.

To create and import a catalog with catalog data fields:

  1. Export your materials catalog or object database from your cost estimation application, either in CSV or TXT format.
  2. Open the file in Microsoft® Excel®, and review and modify the data.
    TipGenerally, it is advisable to include only the fields that are required by your cost estimation application. When you remove extraneous fields, you can work with the data more efficiently, streamlining the process of importing and exporting the file.
  3. Save the edited CSV or TXT file, or use the Save As command and save the edited file under a new name to retain the original export file.
  4. In QTO, click File menu [image] Import [image] Catalog.
  5. In the Import Catalog dialog, browse to the catalog file, select it, and click Import.
  6. On the Takeoff palette, double-click a takeoff item.
  7. In the Takeoff Item Properties dialog, click the Catalog Data tab.
  8. Verify that the field name and value are correct for the item, and click OK.
  9. If you have added catalog data fields to groups, use the same method to verify their data.

The imported groups and items are set up. You can now create takeoff data. After creating and validating the takeoff data, you can export the data, including the catalog data fields. For more information, see Exporting Catalog Data Fields.


Exporting Catalog Data Fields

Creating a Catalog with Catalog Data Fields
Working with Catalog Data
Autodesk Quantity Takeoff User's Guide > Autodesk Quantity Takeoff 2011 Help > Working with Catalog Data >
Expand All
Collapse All
Exporting Catalog Data Fields

Export catalog data fields by either exporting Workbook data or by exporting a project as a catalog. For exporting procedures, see Exporting Data.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!